﻿
//NEW Cart Start******************

// ProductList plus button click
function qtyplusClick1(sender) {
    var selectedValue ="";
    if(sender.parentNode != null)
      selectedValue = $("#ddlActualVolumePrice option:selected", sender.parentNode).val();
      else
      selectedValue = sender;
    if(selectedValue.split("|")[1] == 1) //Restricted Product Check
    {
      if( $("#hdnPincode").val().length ==0)
      {
        $("#hdnSPStockid").val((selectedValue).split('|')[0]);
        $("#PopUpPincodeCheck").css("display", "block");
        return; // It will not add product to cart and open popup
      }
    }
    UpdateProductList1('add', (selectedValue).split('|')[0]);
    Materialize.toast('Added to cart', 300);
}

// ProductList minus button click
function qtyminusClick1(sender) {
var selectedValue ="";
    if(sender.parentNode != null)
      selectedValue = $("#ddlActualVolumePrice option:selected", sender.parentNode).val();
      else
      selectedValue = sender;

    UpdateProductList1('subtract', (selectedValue).split('|')[0]);

    Materialize.toast('Reduced from cart', 300);
}

// Product remove
function removeProduct(sender, ctrl) {
    UpdateProductList1('remove', sender);
    ctrl.parentNode.parentNode.remove();
}

function qtyCartPlusClick1(value, txtCartCount) {
    var count = parseInt($("#txtCartCount", txtCartCount.parentNode).val());
    var price = parseInt($("#spnPrice", txtCartCount.parentNode).html().split('/')[0]);
    count = count + 1;
    $("#txtCartCount", txtCartCount.parentNode).val(count);
    $("#spnTotal", txtCartCount.parentNode).html(count * price);
    qtyplusClick1(value);
}

function qtyCartMinusClick1(value, txtCartCount) {
    var count = parseInt($("#txtCartCount", txtCartCount.parentNode).val());
    var price = parseInt($("#spnPrice", txtCartCount.parentNode).html().split('/')[0]);
    count = count - 1;
    if (count > -1) {
        $("#txtCartCount", txtCartCount.parentNode).val(count);
        $("#spnTotal", txtCartCount.parentNode).html(count * price);
        qtyminusClick1(value);
    }
}

// UpdateProductList Click //
function UpdateProductList1(type, value) {
    var quantity = 0;
    if (type == 'add') quantity = 1;
    else if (type == 'subtract') quantity = -1;
    else if (type == 'remove') quantity = 0;
    $.ajax({
        type: "POST",
        url: "/ProductList.aspx/ManageCart",
        dataType: "json",
         async: false,
        data: JSON.stringify({ SellerStockId: value, Quantity: quantity }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            $("#spanNetTotal").html(parseFloat(JSON.parse(resp.d).NetTotal).toFixed(2));
            $("#spanCartCount").html(JSON.parse(resp.d).TotalCount);
            if($("#lblSumOfCart") != null) // Cart Total - Right Slide
                $("#lblSumOfCart").html(parseFloat(JSON.parse(resp.d).NetTotal).toFixed(2));
            if (parseInt(JSON.parse(resp.d).TotalCount) == 0) {
                $("#lblEmpty").css("display", "block");
                $("#CartTotal").css("display", "none");
                $("#aBuyNow").css("display", "none");
            } else {
                $("#lblEmpty").css("display", "none");
                $("#CartTotal").css("display", "block");
                $("#aBuyNow").css("display", "block");
                $("#lblSumOfCart").val(parseFloat(JSON.parse(resp.d).NetTotal).toFixed(2));
            }
            if (parseInt(JSON.parse(resp.d).Discount) != 0) {
                document.getElementById("lblDiscount").innerHTML = " &#8377; " + parseFloat(JSON.parse(resp.d).Discount).toFixed(2);
                document.getElementById("lblDiscount").style.color = "rgb(0, 150, 136)";
                document.getElementById("divcardiscount").style.display = "block";
            } else {
                document.getElementById("divcardiscount").style.display = "none";
                document.getElementById("lblDiscount").innerHTML ="";
            }
            //            if (resp.d.ProductRestrictions != null) {
            //                if (resp.d.ProductRestrictions == "Un-Minus") {
            //                    alert("unable to minus the count");
            //                } else {
            //                    displayRestrictionMessage(resp.d.ProductRestrictions);
            //                }
            //            }
            //            else
            //                bindCartDetails(resp);
        },
        error: function (xhr, status, error) {
            var err = eval("(" + xhr.responseText + ")");
            Materialize.toast(err.Message, 4000);
        }
    });
}

function GetCartDetails1() {
    $.ajax({
        type: "POST",
        url: "/ProductList.aspx/GetCartDetails",
        dataType: "json",
        data: JSON.stringify({ visitorId: '' }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            // alert(resp);
            bindCartDetails1(resp);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
            //alert(errtext);
        }
    });
}

function bindCartDetails1(resp) {
    var imgUrl = 'http://cdn1.Myrightbuy.com/images/';
    var len = resp.d.ProductList.length;
    $("#tblCart").html('');
    if (len != '0') {
        for (var i = 0; i < len; i++) {
            var div = $("#divCartProductListDesign").eq(0).clone(true);
            $("#divCartProductList", div).css("display", "block");
            $("#divCartProductList", div).attr("ID", "divCartProductList1");
            $("#hrfRemove", div).attr('onclick', 'removeProduct(\'' + resp.d.ProductList[i]["SellerProductStockId"] + '\',this)');
            $("#btnCartPlus", div).attr('onclick', 'qtyCartPlusClick1(\'' + resp.d.ProductList[i]["SellerProductStockId"] + '\' ,this )');
            $("#btnCartMinus", div).attr('onclick', 'qtyCartMinusClick1(\'' + resp.d.ProductList[i]["SellerProductStockId"] + '\'  ,this )');
            $("#imgProduct", div).attr("src", imgUrl + resp.d.ProductList[i]["ImageName"].replace('_Thumb', '_m').replace('_Thump', '_m'));
            $("#spnProductName", div).html(resp.d.ProductList[i]["ProductName"]);
            $("#spnPrice", div).html(resp.d.ProductList[i]["Price"] + " / " + resp.d.ProductList[i]["Volume"]);
            if (parseInt(resp.d.ProductList[i]["Quantity"]) != 0)
                $("#spnTotal", div).html(parseInt(resp.d.ProductList[i]["Price"]) * parseInt(resp.d.ProductList[i]["Quantity"]));
            else
                $("#spnTotal", div).html(parseInt(resp.d.ProductList[i]["Price"]) * parseInt(1));
            if (parseInt(resp.d.ProductList[i]["Quantity"]) != 0)
                $(".txtqty", div).val(resp.d.ProductList[i]["Quantity"]);
            else
                $(".txtqty", div).val(1);
            $("#tblCart").append(div);
        }
        $("#tblCart").css('max-height', (parseInt(screen.height) - parseInt(340)) + "px");
        //$("#tblCart").innerHTML = $("#tblCart").innerHTML.replace('divCartProductList', 'divCartProductList1');
        document.getElementById("CartTotal").style.display = "block";
        document.getElementById("lblSumOfCart").innerHTML = parseFloat(resp.d.NetTotal).toFixed(2);
        document.getElementById("spanCartCount").innerHTML = parseInt(resp.d.TotalCount);
        if (document.getElementById("spanNetTotal") != null)
        document.getElementById("spanNetTotal").innerHTML = parseFloat(resp.d.NetTotal).toFixed(2);
        if (parseInt(resp.d.Discount) != 0) {
        document.getElementById("lblDiscount").innerHTML =" &#8377; "+ parseFloat(resp.d.Discount).toFixed(2);
        document.getElementById("lblDiscount").style.color = "rgb(0, 150, 136)";
        document.getElementById("divcardiscount").style.display = "block";
        } else {
        document.getElementById("divcardiscount").style.display = "none";
        document.getElementById("lblDiscount").innerHTML ="";
        }
        document.getElementById("tblCart").style.borderTop = "1px solid #FFB400";
        document.getElementById("aBuyNow").style.display = "block";
    } else {
        document.getElementById("lblEmpty").style.display = "block";
        document.getElementById("divcardiscount").style.display = "none";
    }
}

// To Check Pincode entered by user for checking delivery availabilty.
function ValidatePincode() {
    var pincode = document.getElementById("txtPincode").value;
    $("#hdnPincode").val(pincode);
     var spStockId = document.getElementById("hdnSPStockid").value;
    if (pincode != "" && pincode.length == 6) {
         $.ajax({
            type: "POST",
            url: "/ProductList.aspx/ValidatePincode",
            dataType: "json",
            data: JSON.stringify({ pincode: pincode, sellerProductStockId: spStockId }),
            contentType: "application/json; charset=utf-8",
            async: false,
            success: function (response) {
            document.getElementById("divPincodeResponse").style.display = "block";
            document.getElementById("divPincodeFooter").style.display = "block";
            document.getElementById("PopUpPincodeCheck").style.display = "block";
        if ( JSON.parse(response.d).HomeDelivery != 1) {
            document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;  font-size: 14px;' class = 'input-field col s12 m5 l5'> " +
                "Cash On Delivery : </span> <span style= 'color:red;font-weight: bold;display: flex;text-align: left;' " +
                "class = 'input-field col s7 m5 l5'> Not Availlable <i class='fa fa-times-circle-o fa-2x famarginalleft'></i></span>";
        } else {
            document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;  font-size: 14px;' class = 'input-field col s12 m5 l5'> " +
                "Cash On Delivery : </span> <span style= 'color:green;font-weight: bold;display: flex;text-align: left;' " +
                "class = 'input-field col s7 m5 l5'> Availlable <i class='fa fa-times-circle-o fa-2x famarginalleft'></i></span>";
        }
        if (JSON.parse(response.d).Delivery == 1) {
            document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s12 m5 l5'> " +
              " Delivery : </span>  <span style= 'color:green;font-weight: bold;display: flex;' class = 'input-field col s7 m5 l5' >" +
              "Available <i class='fa fa-check-circle-o fa-2x'></i></span>";
        }
            else {
            document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s12 m5 l5'> " +
              " Delivery : </span>  <span style= 'color:red;font-weight: bold;display: flex;' class = 'input-field col s7 m5 l5' >" +
              "Not Available <i class='fa fa-check-circle-o fa-2x'></i></span>";
            }
            if ( JSON.parse(response.d).RestrictedDelivery == 0)
            {
                document.getElementById("lblDeliveryMsg").innerHTML = 'Sorry! The product you added is restricted for the address(pincode) you entered. You may not able to add this product.' +
                'Or You should have to change the delivery address(pincode) to get this product.';
                $('#hrfContinue', div).attr('onclick', 'pincodeContinue_Click(0)');
            }
            else
            {
                document.getElementById("lblDeliveryMsg").innerHTML ="";
                $('#hrfContinue').attr('onclick', 'pincodeContinue_Click(1)');
            }
            },
            failure: function (response) {
                //alert(rda);
            },
             error: function (xhr, status, error) {
            var err = eval("(" + xhr.responseText + ")");
            Materialize.toast(err.Message, 4000);
        }
        });
    }
    else {
         Materialize.toast("Please enter valid 6 digit pincode.", 4000);
    }
}

function pincodeContinue_Click(status)
{
    if (status ==1)
    {
      UpdateProductList1('add', document.getElementById("hdnSPStockid").value);
    }

    document.getElementById("PopUpPincodeCheck").style.display = "none";
    document.getElementById("divPincodeResponse").style.display = "none";
    document.getElementById("divPincodeFooter").style.display = "none";
}

//NEW Cart End

// Filter Starts 
// NEW**** 
    function LoadFilters() {
        if( document.getElementById("divCategoryFilter").innerHTML.trim() =='' || document.getElementById("divBrandFilter").innerHTML.trim() =='')
        {
         if (window.location.href.indexOf("q") == -1) {
                   Url = "/ProductList.aspx/LoadFilterByCategory";
                   data1 = '{SelectedCategory: ' + JSON.stringify(document.getElementById("hdnSelectedCategory").value) + '}';
               } else {
                   searchString = GetParameterValues("q");
                   Url = "/ProductList.aspx/LoadFilterByKeyword";
                   data1 = '{keyword: ' + JSON.stringify(searchString)+'}';
               }
            $.ajax({
                type: "POST",
                url: Url,
                dataType: "json",
                data: data1,
                contentType: "application/json; charset=utf-8",
                success: function(result) 
                {
                    BindCheckBoxList(result);
                },
                   error: function (xhr, status, error) {
                       var err = eval("(" + xhr.responseText + ")");
                       alert(err.Message);
                   }
            });
        }
       
    }
    function BindCheckBoxList(result) {
        var items = JSON.parse(result.d);
        CreateCheckBoxList(items);
    }
    function CreateCheckBoxList(checkboxlistItems) {
        var tableItem = $('<table id="chkItem"></table>');
        var tableBrand = $('<table id="chkBrand"></table>');
        var counter = 0;
        $(checkboxlistItems).each(function() {
            if (this.Type == 1) {
                tableItem.append($('<tr></tr>').append($('<td></td>').append($('<input>').attr({
                    type: 'checkbox',
                    name: 'chkItem',
                    value: this.Value,
                    id: 'chklistitem' + counter
                })).append(
                    $('<label>').attr({
                        for: 'chklistitem' + counter++
                    }).text(this.Name))));
            } else {
                tableBrand.append($('<tr></tr>').append($('<td></td>').append($('<input>').attr({
                    type: 'checkbox',
                    name: 'chkBrand',
                    value: this.Value,
                    id: 'chklistbrand' + counter
                })).append(
                    $('<label>').attr({
                        for: 'chklistbrand' + counter++
                    }).text(this.Name))));
            }
        });
  
   if( document.getElementById("divCategoryFilter").innerHTML.trim() =='' ){
    $('#divCategoryFilter').append(tableItem);
   }
   if( document.getElementById("divBrandFilter").innerHTML.trim() ==''){
    $('#divBrandFilter').append(tableBrand);
   }
    }
    $(function () {
        $('.showhide').click(function () {
            $('#divFilterFooter').toggle(500, null);
            $('#divCheckoutFooter').toggle(500, null);
            $(".slidediv").slideToggle();
        });
    });
    $(document).on('change', '[type=checkbox]', function (e) {
        var span;
        if (this.attributes["name"].value === "chkItem") {
            if ($(this).is(':checked')) {
                // handle checkbox check
                document.getElementById("hdfFltrItem").value = document.getElementById("hdfFltrItem").value + ',' + $(this).val();
                span = document.createElement('span');
                span.innerHTML = $(this)[0].nextSibling.innerHTML;
                span.className = "task-cat yellow darken-4";
                span.id = $(this)[0].id.replace("chklistitem", "spanItem");
                if ($("#divFilterSelectedItem:contains('" + $(this)[0].nextSibling.innerHTML + "')").length == 0) {
                    document.getElementById("divFilterSelectedItem").appendChild(span);
                }
            } else {
                // checkbox is unchecked
                document.getElementById("hdfFltrItem").value = (document.getElementById("hdfFltrItem").value).replace((',' + $(this).val()), '');
                document.getElementById($(this)[0].id.replace("chklistitem", "spanItem")).remove();
            }
        }
        if (this.attributes["name"].value === "chkBrand") {
            if ($(this).is(':checked')) {
                // handle checkbox check
                document.getElementById("hdfFltrBrand").value = document.getElementById("hdfFltrBrand").value + ',' + $(this).val();
                span = document.createElement('span');
                span.innerHTML = $(this)[0].nextSibling.innerHTML;
                span.className = "task-cat yellow darken-4";
                span.id = $(this)[0].id.replace("chklistbrand", "spanbrand");
                if ($("#divFilterSelectedItem:contains('" + $(this)[0].nextSibling.innerHTML + "')").length == 0) {
                    document.getElementById("divFilterSelectedItem").appendChild(span);
                }
            } else {
                // checkbox is unchecked
                document.getElementById("hdfFltrBrand").value = (document.getElementById("hdfFltrBrand").value).replace((',' + $(this).val()), '');
                document.getElementById($(this)[0].id.replace("chklistbrand", "spanbrand")).remove();
            }
        }
});


//To change arrow while click on toggle div
function toggleClick(sender) {
    if ($(sender).find(".spnarrow").children("i").attr("class").trim().indexOf("arrow-drop-up") != -1) {
        $(sender).find(".spnarrow").children("i").removeClass();
        $(sender).find(".spnarrow").children("i").addClass("mdi-navigation-arrow-drop-down right");
    } else {
        $(sender).find(".spnarrow").children("i").removeClass();
        $(sender).find(".spnarrow").children("i").addClass("mdi-navigation-arrow-drop-up right");
    }   
}

function btnFilterClick() {
        $("#dvProductList").html("");
        //document.getElementById("dvProductList").innerHTML="";
        $(".slidediv").slideToggle();
        $('#divFilterFooter').toggle(500, null);
        $('#divCheckoutFooter').toggle(500, null);
        pageIndex = 0;
        $("#hdnDivClear").val('');
        GetRecords();
        //document.getElementById("hdfFltrItem").value = "0";
        //document.getElementById("hdfFltrBrand").value = "0";
    }
    function btnFilterCancelClick() {
        $(".slidediv").slideToggle();
        $('#divFilterFooter').toggle(500, null);
        $('#divCheckoutFooter').toggle(500, null);
    }

// Filter Ends 
// NEW**** 

// Sub Menu Starts 
// NEW**** 
       function subcategoryClick(sender) {
           $.ajax({
               type: "POST",
               url: "/ProductList.aspx/ResetSubcategory",
               //data: '{currentSelectedCategory: ' + sender + '}',
               data: '{currentSelectedCategory: ' + sender + ',SelectedCategory: ' + JSON.stringify(document.getElementById("hdnSelectedCategory").value) + '}',
               contentType: "application/json; charset=utf-8",
               dataType: "json",
               success: function (result) {
                   if (result.d.split(':')[0] == "1") {
                        $("#hdnSelectedCategory").val(result.d.split(':')[1]);
                        $("#hdfFltrItem").val("");
                        $("#hdfFltrBrand").val("");
                        $("#divBrandFilter").html("");
                        $("#divFilterSelectedItem").html("");
                        $("#divCategoryFilter").html("");
                        //document.getElementById("hdnSelectedCategory").value = result.d.split(':')[1];
                        //document.getElementById("hdfFltrItem").value = "";
                        //document.getElementById("hdfFltrBrand").value = "";
                        //document.getElementById("divBrandFilter").innerHTML="";
                        //document.getElementById("divFilterSelectedItem").innerHTML="";
                        //document.getElementById("divCategoryFilter").innerHTML="";
                   }
                    $("#dvProductList").html("");
                   //document.getElementById("").innerHTML = "";
                   pageIndex = 0;
                   GetRecords();
               },
               error: function (err, errtext, fn) {
                   //errorResponse(err, errtext);
               }
           });
       }
// Sub Menu Ends 
// NEW****  

//Product List Icon Starts
// NEW**** 
    $(".spanIcon").click(function () {
        $(this).fadeOut(150)
        $(this).fadeIn(150);
    });
//Product List Icon Ends
// NEW**** 

function GetCartDetails() {
    $.ajax(
    {
        type: "POST",
        url: "/ProductDetails.aspx/GetCartDetails",
        dataType: "json",
        data: JSON.stringify({ visitorId: '' }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            // alert(resp);
            bindCartDetails(resp);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
            //alert(errtext);
        }
    });
}

function bindCartDetails(resp) {
    // var imgUrl = '';
    var imgUrl = 'http://cdn3.Myrightbuy.com/images/';
    var out = "";
    var i;
    var outHead = '';
    var len = resp.d.CartProductsList.length;
    if (len != '0') {
        for (i = 0; i < len; i++) {
            var obj = resp.d.CartProductsList[i];
            out += bindProducts(obj, i, imgUrl);
        }
        var e = window, a = 'inner';
        if (!('innerWidth' in window)) {
            a = 'client';
            e = document.documentElement || document.body;
        }
        var screen = { width: e[a + 'Width'], height: e[a + 'Height'] }
        document.getElementById("tblCart").innerHTML = outHead + out + "</tbody>";
        document.getElementById("tblCart").style.maxHeight = (parseInt(screen.height) - parseInt(156)) + "px";
        document.getElementById("tblCart").style.overflow = "auto";
        document.getElementById("lblEmpty").style.display = "none";
        document.getElementById("CartTotal").style.display = "block";
        document.getElementById("spanCartCount").innerText = parseInt(resp.d.TotalCount);
        document.getElementById("lblSumOfCart").innerHTML = parseFloat(resp.d.NetTotal).toFixed(2);
        document.getElementById("spanNetTotal").innerHTML = parseFloat(resp.d.NetTotal).toFixed(2);
        //document.getElementById("spanCartCount").innerHTML = parseInt(resp.d.CartProductsList.length);
        if (parseInt(resp.d.Discount) != 0) {
            document.getElementById("lblDiscount").innerHTML = 'Discount :' + ' ' + parseFloat(resp.d.Discount).toFixed(2);
            document.getElementById("divcardiscount").style.display = "block";
            document.getElementById("divcardiscount").style.display = "block";
        } else {
            document.getElementById("divcardiscount").style.display = "none";
        }
        document.getElementById("aBuyNow").style.display = "block";
    }
    else {
        checkIsCartEmpty();
    }
}

function checkIsCartEmpty() {
    document.getElementById("CartTotal").style.display = "none";
    document.getElementById("divcardiscount").style.display = "none";
    document.getElementById("lblEmpty").style.display = "block";
    document.getElementById("tblCart").innerHTML = "";
    document.getElementById("aBuyNow").style.display = "none";
    document.getElementById("spanCartCount").innerHTML = "0";
    document.getElementById("spanNetTotal").innerHTML = "0";
}

function bindProducts(obj, i, imgUrl) {
    var str = obj.ImageName;
    var arr = str.split("/");
    // var a = "mob_" + arr[n - 1];
    // var b = arr[n - 1];
    // var res = str.replace(b, a);
    // var res = str.replace("thumb", "mob");
    var res = str.replace("Thumb", "m");
    out = '<div class="recent-activity-list chat-out-list row">'
        + '<div class="col s3 recent-activity-list-icon"><img id="' + i
    //'" src="'+ imgUrl
        + '" src="' + imgUrl + res
        + '"></div><div class="col s9 recent-activity-list-text" style="padding: 0;">'
        + '<span style="float: right;padding-right: 13px; "  class="btnRemove" onclick="btnRemove(this)"  id="R/' + obj.ProductId + '/'
        + obj.SellerProductStockId + '/' + i + '"><a href="#" ><i class="mdi-navigation-close" style="color: red;font-size: 12px !important;"></i></a></span>'
        + '<div class="col s12" style="margin-top: -27px;">'
        + '<span>' + obj.ProductName + '<br>'
        + '<span id="span/' + i + '"> &#8377; ' + (parseFloat(obj.Price)).toFixed(2) + '</span> ' + ' | '
        + obj.Volume + '<br>' + "<td style='text-align: center;'>"
        + "<input id='U/" + obj.ProductId + "/" + obj.SellerProductStockId + "/"
        + i + "' type='button' value='-' class='btn-danger btn-xs qtyminus' onclick='qtyminusCartClick(this)' field='quantity' style='cursor: pointer;'/>"
        + "<input name='quantity' class='qty txtqty' onblur='txtQtyonblur(this)' id='I/" + i + "' value='" + obj.Quantity + "' style='width: 112px;'/>"
        + "<input id='U/"
        + obj.ProductId + "/" + obj.SellerProductStockId + "/"
        + i + "' type='button' value='+' class='btn-success btn-xs qtyplus' onclick='qtyplusCartClick(this)' field='quantity' style='cursor: pointer;'/>"
        + "</td><td class='cart-total'></br><span id='spanTotal" + i + "'> &#8377; " + (parseFloat(obj.TotalPrice)).toFixed(2)
        + " </span></td></tr>"
        + ' </div></div></div></div>';
    return out;
}

// Remove Cart Click //
function btnRemove(sender) {
    var arr = ((sender.id).replace(/\//g, ',')).replace(/R\,/g, '').split(',');
    $.ajax(
    {
        type: "POST",
        url: "/ProductDetails.aspx/RemoveProductInCart",
        dataType: "json",
        data: JSON.stringify({ ProductId: arr[0], SellerStockId: arr[1] }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            bindCartDetails(resp);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
            //alert(errtext);
        }
    });
}

// Cart textbox onblur(change) 
function txtQtyonblur(sender) {
    var qty = document.getElementById(sender.id).value;
    if (qty < 21 && qty > 0) {
        // totalPrice = qty * price;
    } else if (qty > 20) {
        alert("You have reached your limitation to buy this product.");
        // totalPrice = price * 20;
        document.getElementById(sender.id).value = 20;
    } else if (qty < 1) {
        alert("You have reached your limitation to buy this product.");
        // totalPrice = price * 1;
        document.getElementById(sender.id).value = 1;
    }
    UpdateCart(sender.nextElementSibling.id);
}

// Cart plus button click
function qtyplusCartClick(sender) {
    var arr = (sender.id).split('/');
    var fieldName = "I/" + arr[arr.length - 1];
    var currentVal = parseInt(document.getElementById(fieldName).value);
    if (!isNaN(currentVal)) {
        document.getElementById(fieldName).value = currentVal + 1;
    } else {
        document.getElementById(fieldName).value = 1;
    }
    UpdateCart(sender.id);
}


// Cart minus button click
function qtyminusCartClick(sender) {
    var arr = (sender.id).split('/');
    var fieldName = "I/" + arr[arr.length - 1];
    var currentVal = parseInt(document.getElementById(fieldName).value);
    if (!isNaN(currentVal) && currentVal > 1) {
        document.getElementById(fieldName).value = currentVal - 1;
    } else {
        document.getElementById(fieldName).value = 1;
    }
    UpdateCart(sender.id);
}

// To get pincode
function getPincode(callback) {
    if (document.getElementById("hdfcheckedProduct").value == '') {
        $.ajax({
            type: "POST",
            url: "/ProductDetails.aspx/CheckPincode",
            dataType: "json",
            data: '',
            contentType: "application/json; charset=utf-8",
            success: function (resp) {
                resp.d = null;
                if (resp.d == null) {
                    callback("0");
                } else {
                    callback(resp.d);
                }
            },
            error: function (err, errtext, fn) {
                //errorResponse(err, errtext);
            }
        });
    } else {
        callback(document.getElementById("txtPincode").value);
    }
}
// To Check Pincode entered by user for checking delivery availabilty.
function aCheckPincode() {
    var pincode = document.getElementById("txtPincode").value;
    if (pincode != "" && pincode.length == 6) {
        qtyplusClick(document.getElementById("hdfcheckedProduct").value);
    }
    else {
         Materialize.toast("Please enter valid 6 digit pincode.", 4000);
    }
}

// ProductList plus button click
function qtyplusClick(sender) {
    if (sender.split("/")[3] == 1) {
        getPincode(function (pincode) {
            if (document.getElementById("hdfcheckedProduct") != undefined) {
                document.getElementById("hdfcheckedProduct").value = sender;
            }
            if (pincode != '0' && pincode != '') {
                document.getElementById("PopUpPincodeCheck").style.display = "none";
                UpdateProductList('p|' + (sender).split('/')[1]);
            }
            else {
                document.getElementById("PopUpPincodeCheck").style.display = "block";
            }
        });
    } else {
        UpdateProductList('p|' + (sender).split('/')[1]);
    }
}

// ProductList minus button click
function qtyminusClick(sender) {
    UpdateProductList('m|' + (sender).split('/')[1]);
}

// UpdateProductList Click //
function UpdateProductList(value) {
    var pincode = "0";
    var quantity = 0;
    var arr = (value).split('|');
    if (document.getElementById("hdfcheckedProduct").value != "")
        pincode = "1";
    if (document.getElementById("txtPincode").value != '') {
        pincode = document.getElementById("txtPincode").value;
        document.getElementById("hdfcheckedProduct").value = "";
    }
    if (arr[0] == 'p')
        quantity = 1;
    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/UpdateProductInProductList",
        dataType: "json",
        data: JSON.stringify({ ProductId: arr[3], SellerStockId: arr[1], Quantity: quantity, Pincode: pincode }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            if (resp.d.ProductRestrictions != null) {
                if (resp.d.ProductRestrictions == "Un-Minus") {
                    alert("unable to minus the count");
                } else {
                    displayRestrictionMessage(resp.d.ProductRestrictions);
                }
            }
            else
                bindCartDetails(resp);
        },
         error: function (xhr, status, error) {
            var err = eval("(" + xhr.responseText + ")");
            Materialize.toast(err.Message, 4000);
        }
    });
}

// Update Cart Click //
function UpdateCart(sender) {
    var arr = (sender).replace(/\//g, ',').replace(/U\,/g, '').split(',');
    var txtId = "I/" + arr[arr.length - 1];
    var quantity = document.getElementById(txtId).value;
    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/UpdateProductInCart",
        dataType: "json",
        data: JSON.stringify({ ProductId: arr[0], SellerStockId: arr[1], Quantity: quantity }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            bindCartDetails(resp);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
        }
    });
}

function displayRestrictionMessage(returnValue) {
    if (returnValue != "" && returnValue != null) {
        document.getElementById("hdrCheck").style.display = "none";
        document.getElementById("txtCheck").style.display = "none";
        document.getElementById("btnCheck").style.display = "none";
        document.getElementById("divChkAvilability").style.display = "block";
        document.getElementById("divCancelPincode").style.display = "block";
        document.getElementById("PopUpPincodeCheck").style.display = "block";
        if ((returnValue).split(':')[0] != 1) {
            document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;  font-size: 14px;' class = 'input-field col s12 m5 l5'> " +
                "Cash On Delivery : </span> <span style= 'color:red;font-weight: bold;display: flex;text-align: left;' " +
                "class = 'input-field col s7 m5 l5'> Not Availlable <i class='fa fa-times-circle-o fa-2x famarginalleft'></i></span>";
        } else {
            document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;  font-size: 14px;' class = 'input-field col s12 m5 l5'> " +
                "Cash On Delivery : </span> <span style= 'color:red;font-weight: bold;display: flex;text-align: left;' " +
                "class = 'input-field col s7 m5 l5'> Availlable <i class='fa fa-times-circle-o fa-2x famarginalleft'></i></span>";
        }
        if ((returnValue).split(':')[1] == 1) {
            document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s12 m5 l5'> " +
              " Delivery : </span>  <span style= 'color:green;font-weight: bold;display: flex;' class = 'input-field col s7 m5 l5' >" +
              "Available <i class='fa fa-check-circle-o fa-2x'></i></span>";
        }
        else {
            document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s12 m5 l5'> " +
              " Delivery : </span>  <span style= 'color:green;font-weight: bold;display: flex;' class = 'input-field col s7 m5 l5' >" +
              "Not Available <i class='fa fa-check-circle-o fa-2x'></i></span>";
        }
        document.getElementById("lblDeliveryMsg").innerHTML = 'Sorry! The product you added is restricted for the address(pincode) you entered. You may not able to add this product.' +
            'Or You should have to change the delivery address(pincode) to get this product.';
    }
}
function aClosePincodePopup() {
    document.getElementById("hdrCheck").style.display = "block";
    document.getElementById("txtCheck").style.display = "block";
    document.getElementById("btnCheck").style.display = "block";
    document.getElementById("divChkAvilability").style.display = "none";
    document.getElementById("divCancelPincode").style.display = "none";
    document.getElementById("PopUpPincodeCheck").style.display = "none";
}
//// To Check Pincode entered by user for checkin
//function aCheckPincode() {   
//    $('#popup_box').fadeIn("slow");
//    var pincode = $("#txtPincode").val();
//    if (pincode != "" && pincode.length == 6) {
//        $.ajax({
//            type: "POST",
//            url: "/ProductDetails.aspx/CheckPincode",
//            dataType: "json",
//            data: JSON.stringify({ Pincode: pincode, ProductId: '' }),
//            contentType: "application/json; charset=utf-8",
//            success: function (response) {
//                if (response.d != "") {
//                    document.getElementById("Avilability").style.display = "block";
//                    document.getElementById("btnAddToCartClick").style.display = "block";
//                    if ((response.d).split(':')[0] == 1 && (response.d).split(':')[2] == 0) {
//                        document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;  font-size: 14px;' class = 'input-field col s5'> Cash On Delivery : </span>  <span style= 'color:red;font-weight: bold;display: flex;padding: 0;text-align: left;' class = 'input-field col s7'> Not Availlable <i class='fa fa-times-circle-o fa-2x famarginalleft'></i></span>";
//                    }
//                    else if ((response.d).split(':')[0] == 1) {
//                        document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;  font-size: 14px;' class = 'input-field col s5'> Cash On Delivery : </span>  <span style= 'color:green;font-weight: bold;display: flex;padding: 0;text-align: left;' class = 'input-field col s7'>Available <i class='fa fa-check-circle-o fa-2x famarginalleft'></i></span>";
//                    }
//                    else {
//                        document.getElementById("lblHomeDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;   font-size: 14px;' class = 'input-field col s5'> Cash On Delivery : </span>  <span style= 'color:red;font-weight: bold;display: flex;padding: 0;text-align: left;' class = 'input-field col s7'> Not Available <i class='fa fa-times-circle-o fa-2x famarginalleft'></i></span>";
//                    }

//                    if ((response.d).split(':')[1] == 1 && (response.d).split(':')[2] == 0) {
//                        document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s5'> Delivery : </span>  <span style= 'color:red;font-weight: bold;display: flex;padding: 0;' class = 'input-field col s7'>Not Availlable <i class='fa fa-times-circle-o fa-2x'></i></span>";
//                    }
//                    else if ((response.d).split(':')[1] == 1) {
//                        document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s5'>  Delivery : </span>  <span style= 'color:green;font-weight: bold;display: flex;padding: 0;' class = 'input-field col s7' >Available <i class='fa fa-check-circle-o fa-2x'></i></span>";
//                    }
//                    else {
//                        document.getElementById("lblDelivery").innerHTML = "<span style='font-weight: bold; text-align: initial;' class = 'input-field col s5'> Delivery : </span>  <span style= 'color:red;font-weight: bold;display: flex;padding: 0;' class = 'input-field col s7' >Not Available <i class='fa fa-times-circle-o fa-2x'></i></span>";
//                    }
//                }
//                document.getElementById("btnCheck").style.display = "none";
//            },
//            failure: function (response) {
//            },
//            error: function (response) {
//            }
//        });
//    }
//    else {
//        alert("Please enter a valid 6 digit pincode .");
//    }
//}

// Volume On Change
function lstVolumeonchange() {
    var price = document.getElementById("ddlActualVolumePrice").value.split("-")[0];
    var qty = document.getElementById("txtQty").value;
    var totalPrice = qty * price;
    document.getElementById("spanPrice").innerHTML = totalPrice;
}

// Category and Brand Arrow UpandDown
//function categoryUpDown() {
//    if (document.getElementById("divCategoryFilter").style.display == "block") {
//        document.getElementById("categoryup").style.display = "none";
//        document.getElementById("categorydown").style.display = "block";
//        categoryarrow
//    }
//    else {
//        document.getElementById("categorydown").style.display = "none";
//        document.getElementById("categoryup").style.display = "block";
//        categoryarrow
//    }
//}

//function brandUpDown() {
//    if (document.getElementById("divBrandFilter").style.display == "block") {
//        document.getElementById("brandup").style.display = "none";
//        document.getElementById("branddown").style.display = "block";
//        brandarrow
//    }
//    else {
//        document.getElementById("branddown").style.display = "none";
//        document.getElementById("brandup").style.display = "block";
//        brandarrow
//    }
//}

function IsCartEmpty() {
        $.ajax({
            type: "POST",
            url: "/ProductList.aspx/IsCartEmpty",
            dataType: "json",
            data: '',
            contentType: "application/json; charset=utf-8",
            success: function (resp) {
                if (resp.d == "0") {
                    Materialize.toast("No products in your cart.", 4000);
                    return false;
                }
                else {
                    window.location.href = "/buy";
                }
            },
            error: function (err, errtext, fn) {
                //errorResponse(err, errtext);
                //alert(errtext);
            }
        });
    }