﻿
/// **** AddNewDeliveryAddress page Scripts Start *** ///

var toastInitiated = 'false';
function chktoastInitiated(id) {
    if (toastInitiated == 'false') {
        toastInitiated = 'true';
        var message = id;
        Materialize.toast(message, 4000, '', function () { toastInitiated = 'false'; });
    }
}

//Validate Add new address fields

function validate(id) {
    var mobilepattern = /^\d{10}$/;
    var pincdepattern = /^\d{6}$/;
    var name = document.getElementById("txtname").value;
    var pincode = document.getElementById("txtpincode").value;
    var address = document.getElementById("txtaddress").value;
    var landmark = document.getElementById("txtlandmark").value;
    var city = document.getElementById("txtcity").value;
    var state = document.getElementById("ddlState").value;
    var phone = document.getElementById("txtphone").value;

    if (name == "") {
        chktoastInitiated('Enter Your Name');
        return false;
    } else if (pincode == "") {
        chktoastInitiated('Enter Your Pincode');
        return false;
    } else if (!pincdepattern.test(pincode)) {
        chktoastInitiated('Invalid Pincode No. ');
        return false;
    } else if (address == "") {
        chktoastInitiated('Enter Your Address');
        return false;
    } else if (landmark == "") {
        chktoastInitiated('Enter Your Landmark');
        return false;
    } else if (city == "") {
        chktoastInitiated('Enter Your City');
        return false;
    } else if (state == "0") {
        chktoastInitiated('Enter Your State');
        return false;
    } else if (phone == "") {
        chktoastInitiated('Enter Your Phone Number');
        return false;
    } else if (!mobilepattern.test(phone)) {
        chktoastInitiated('Invalid mobile No. ');
        return false;
    }
}


//Get First letter uppercase
function capitalize(textboxid, str) {
    // string with alteast one character
    if (str && str.length >= 1) {
        var firstChar = str.charAt(0);
        var remainingStr = str.slice(1);
        str = firstChar.toUpperCase() + remainingStr;
    }
    document.getElementById(textboxid).value = str;
}

//Name validation -- Alphabetic characters with comma and space only
function isNameKey(evt) {
    var charCode = (evt.which) ? evt.which : event.keyCode;
    if ((charCode > 64 && charCode < 91) || (charCode > 96 && charCode < 123) || (charCode == 32 || charCode == 46)) {
        return true;
    }
    else {
        return false;
    }
}

//Pincode Validation --enter only 6 digits
function isNumberKey(evt) {
    var charCode = (evt.which) ? evt.which : event.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57))
        return false;
    else 
        return true;
}

//Phone number validation--enter 10 digits numbers
function isPhoneNumberKey(evt) {
    var charCode = (evt.which) ? evt.which : event.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57))
        return false;
    else
        return true;
}

function GetNameForURL(value) {
    var result = value.replace(/ /g, "-").replace('+-', '').replace('&-', '');
    result = result.toLowerCase();
    return result;
}
