﻿
function GetMyOrders() {
    $.ajax({
        type: "POST",
        url: "/MyOrder.aspx/GetOrderDetails",
        dataType: "json",
        data: '',
        contentType: "application/json; charset=utf-8",
        success: function (response) {
            if (response.d != "") {
                BindOrderDetails(response);
            }
        },
        failure: function (response) {
        },
        error: function (response) {
        }
    });
}

function BindOrderDetails(resp) {
    var obj = resp.d;

    if (obj != null) {
        var out = "";
        var i;
        var len = obj.length;
        for (i = 0; i < len; i++) {
            out += bindOrders(obj[i], i);
        }
        document.getElementById("divMyOrderDetails").innerHTML = out;
        document.getElementById("divNoOrderMsg").style.display = "none";

    } else {
        document.getElementById("divNoOrderMsg").innerHTML = "Sorry, You have no orders.";
    }
    function bindOrders(arr, i) {
        var out = "";
        out +=
            '<div><ul id="profile-page-about-details" class="collection z-depth-1"> <li class="collection-item"><div class="row"> <div class="col s12 offset-l5 offset-m4">' + '<a style="color: black;">Order Referral No : ' + arr.ReferralNumber + '</b><br/></a> <a class="" style="Color: black;">' + '<h7>Ordered On      <span style="margin-left:34px;">:</span> ' + arr.OrderPlacedOn + '</h7><br/></a> <a class="" style="Color:black;">' + '<h7>Order Status   <span style="margin-left:27px;">:</span>  ' + arr.StatusName + '</h7><br/></a>  <a  class="" style="color: black;">Payment Mode   <span style="margin-left:13px;">:</span> ' + arr.PaymentMode + '</b> ' + '<h7></h7><br/></a>' +
           
            ' <div class="row">   <div class="input-field col s12"><a  href="/OrderDetails?OID=' + arr.OrderRefNumber + '" class=""style="text-decoration:underline; color: #ffb400; line-height: 14px !important;" >' + 'View Summary </a> </div></div>' +
            '<div class="row">   <div class="input-field col s12"><a  href="/OrderTracking?OID=' + arr.OrderRefNumber + '" class="" style="text-decoration:underline; color: #ffb400; line-height: 14px !important;" >Order Tracking</a> </div></div>' +
            ' <div class="row"> <div class="input-field col s12"> <a  href="/Invoice?OID=' + arr.OrderRefNumber + '" class="" style="text-decoration:underline; color: #ffb400; line-height: 14px !important;" >' + 'Invoice </a></div></div>';

        if (arr.OrderStatusId != 2) {
            out += '<div class="row">   <div class="input-field col s12"><a  href="/CancelOrder?OID=' +
                arr.ReferralNumber + '-' + arr.OrderPlacedOn + '-' + arr.OrderSummaryId +
               '" class="" style="text-decoration:underline; color: #ffb400; line-height: 14px !important;" >Cancel Order</a> </div></div>';
               // '" class="btn waves-effect waves-light  cyan darken-2"  style="text-decoration:underline;" >Cancel Order</a> </div></div>';
        }
        out += '</div></div></li></ul></div></div>';
        return out;
    }
}


//Start preorder page function
function btnPreOrderMinusClick(event, sellerProductStockId, userId) {
    var tr = $(event.target).closest('tr'); // event.target.parentNode.parentNode.parentNode;
    var quantity = parseInt($("#txtPreOrderQuantity", tr).text());
    quantity = quantity - 1;
    if (quantity >= 0) {
        UpdatePreOrderDetails('sub', tr, sellerProductStockId, quantity, userId);
    } else {
        alert("Sorry, you are unable to reduce count. you reached minimum product count.");
    }
}

function btnPreOrderPlusClick(event, sellerProductStockId, userId) {
    // var tr = $(event.target).closest('tr');
    // var quantity = txtQuantity;
    // quantity = quantity + 1;
    //var tr = lblPreProductCount.parentNode.parentNode;
    //var quantity = parseInt($("#txtPreOrderQuantity", tr).text()); 

    // var tr = $(event.target).closest('tr');
    // var quantity = parseInt($("#txtQuantity", tr).text()) + parseInt(1);

    var tr = $(event.target).closest('tr');
    // var quantity = parseInt($("#txtPreOrderQuantity", tr).text()) + parseInt(1);
    var quantity = parseInt($("#txtPreOrderQuantity", tr).text());
    quantity = quantity + 1;
    if (quantity < 21) {
        // $("#txtPreOrderQuantity", tr).text(quantity);
        UpdatePreOrderDetails('add', tr, sellerProductStockId, quantity, userId);
    } else {
        alert("Sorry, this product count reached Max limit for single purchase.");
    }
}

function removePreOrderProduct(event, sellerProductStockId, userId) {
    $(event.target).closest('.itemFieldset').remove();
    var tr = event.target.parentNode.parentNode.parentNode;
    $(event.target).closest('tr').remove();
    UpdatePreOrderDetails('remove', tr, sellerProductStockId, -1, userId);
}

function UpdatePreOrderDetails(type, tr, sellerProductStockId, quantity, userId) {
    $.ajax({
        type: "POST",
        url: "/MyPreOrderList.aspx/UpdatePreOrder",
        dataType: "json",
        data: JSON
            .stringify({ sellerProductStockId: sellerProductStockId, quantity: quantity, userId: userId }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            if ($('.itemFieldset').length < 1) {
                $("#preOrderEmpty").css("display", "block");
                // $('#gvPreOrderProducts tr').html(' <td><p style="text-align: center;font-size: 16px;font-weight: 400;"><span>Sorry, You have no products in your reservation list</span></h4></p>');
                //  $("#divEmptyTemplate").css("border", "1px solid #dddddd");
                $("#btnpreback").css("display", "block");
            }
            if (resp.d.indexOf("Sorry") < 0) {
                if (parseInt(JSON.parse(resp.d).Quantity) >= 0 ||
                    parseInt(JSON.parse(resp.d).TotalQuantity) != null || parseInt(JSON.parse(resp.d).TotalQuantity) == null) {
                    if (type == 'add') {
                        if (parseInt(JSON.parse(resp.d).Quantity) > 0 ||
                            parseInt(JSON.parse(resp.d).TotalQuantity) > 0) {
                            $("#spnPreOrderTotalCount").html(JSON.parse(resp.d).TotalQuantity);
                            $("#txtPreOrderQuantity", tr).html(JSON.parse(resp.d).Quantity);
                        }
                    }
                    if (type == 'sub') {
                        $("#txtPreOrderQuantity", tr).html(JSON.parse(resp.d).Quantity);
                        $("#spnPreOrderTotalCount").html(JSON.parse(resp.d).TotalQuantity);
                    }
                    if (type == 'remove') {
                        $("#spnPreOrderTotalCount").html(JSON.parse(resp.d).TotalQuantity);
                        $(event.target).closest('tr').remove();
                    }
                } else {
                    alert("Sorry, this product count reached Max limit for single purchase.");
                }
            }
        },
        error: function (xhr, status, error) {
            var err = eval("(" + xhr.responseText + ")");
        }
    });
}

// *** End preorder page function