﻿$(document).ready(function () {
    if (document.getElementById("hdfDeliveryAddressId").value == '') {
        GetUserAddress('');
        document.getElementById("divDeliveryAddress").style.display = "block";
        document.getElementById("divUserAddress").style.display = "none";
        document.getElementById("divCartDetails").style.display = "none";
        document.getElementById("divRedeem").style.display = "none";
        document.getElementById("divCoupon").style.display = "none";
    } else {
        document.getElementById('divCartDetails').style.display = "block";
        document.getElementById("divRedeem").style.display = "block";
        document.getElementById("divCoupon").style.display = "block";
        document.getElementById("divDeliveryAddress").style.display = "none";
        document.getElementById("divUserAddress").style.display = "none";
        document.getElementById("divNewAddress").style.display = "none";
    }
});

// To Get Delivery Address  --- Start ---  // 
function GetUserAddress(address) {
    var addressType = '';
    var addressId = '';
    if (address != '') {
        addressType = address.split("|")[0];
        addressId = address.split("|")[1];
    }
    $.ajax({
        type: "POST",
        url: "/BuyItem.aspx/GetUserAddress",
        dataType: "json",
        data: JSON.stringify({ AddressId: addressId, AddressType: addressType }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            if (resp.d == null) {
                window.location = "/addnewdeliveryaddress/";
            }
            else {
                bindUserAddress(resp);
            }
        },
        error: function (err, errtext, fn) {
            alert(errtext);
        }
    });
}

function bindUserAddress(resp) {

    var addresslen = resp.d[0].AddressLists.length;
    var out = "";
    var i;
    for (i = 0; i < addresslen; i++) {
        var address = resp.d[0].AddressLists[i].AddressItems[0];
        out += "<div class='row'> <div class='col s12 offset-m2 offset-l2 m8 l8' style='padding-top: 5px;border: 2px solid #F3F3F3;'>"
            + "<div class='DeliveryAddressIconRight'>";
        if (address.AddressType == "OrderAddress") {
            out += "<a href='/addnewdeliveryaddress?OrderAddressId=O|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a>";
        } else {
            out += "<a href='/addnewdeliveryaddress?OrderAddressId=U|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a>";
        }
        out += "</div>" + "<span class='black-text'>"
            + "<div>" + address.Name + "</div>"
             + "<div>  " + address.Phone + "</div>"
            + "<div>" + address.UserAddress + "</div>"
            + "<div> " + address.City + "</div>"
            + "<div> " + address.Pincode + "</div>"
            + "<div> " + address.StateName + "</div>"
                + "<div> " + address.LandMark + "</div>"

            + "</span><div class='row'><div class='input-field col s12' style='margin-bottom: 1rem;'>"
        if (address.AddressType == "OrderAddress") {
            out += "<a id='O|" + address.AddressId + "' class='btn col s12 btn-success'  name='action' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a>";

        } else {
            out += "<a id='U|" + address.AddressId + "' class='btn col s12 btn-success'  name='action' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a>";
        }
        out += '</div></div></div></div></div>';
        // out += '</div></div><div style="height: 2px;" class="divider"></div></div></div>';
    }
    document.getElementById("divUserAddr").innerHTML = out;
}

// To Get User Address  --- End --- // 
function btnViewMore_Click() {
    GetDeliveryAddress();
}

// To Get Delivery Address  --- Start --- // 

function GetDeliveryAddress() {
    //var id = sessionStorage.getItem('UserId');
    $.ajax({
        type: "POST",
        url: "/BuyItem.aspx/GetDeliveryAddress",
        dataType: "json",
        data: '',
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            //alert(resp.d[0]);
            bindDeliveryAddress(resp);
        },
        error: function (err, errtext, fn) {
            ////errorResponse(err, errtext);
            alert(errtext);
        }
    });
}

function bindDeliveryAddress(resp) {
    //  document.getElementById("EmailAddress").innerHTML = resp.d[0].Email;
    var addresslen = resp.d[0].AddressLists.length;
    var out = "";
    var i;
    for (i = 0; i < addresslen; i++) {
        var address = resp.d[0].AddressLists[i].AddressItems[0];
        out += "<div class='col s12 m6 l4'><div class='product-card'>" +
            "<div class='card-content' style='border: 2px solid #F3F3F3; height: auto; overflow: auto;'>";
        if (address.AddressType == "OrderAddress") {
            out += "<div class='DeliveryAddressIconRight'><a href='/addnewdeliveryaddress?OrderAddressId=O|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a></div>";
        } else {
            out += "<div class='DeliveryAddressIconRight'><a href='/addnewdeliveryaddress?OrderAddressId=U|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a></div>";
        }
        out += "<span class='black-text'>"
            + "<div> " + address.Name + "</div>"
            + "<div> " + address.UserAddress + "</div>"
            + "<div> " + address.LandMark + "</div>"
            + "<div> " + address.City + "</div>"
            + "<div> " + address.Pincode + "</div>"
            + "<div> " + address.StateName + "</div>"
            + "<div> " + address.Phone + "</div>"
            + "</span>" + "<div class='col s12 m12 l12'> ";
        if (address.AddressType == "OrderAddress") {
            out += "<a id='O|" + address.AddressId + "' class='btn waves-effect waves-light teal' style='text-transform: capitalize;' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a> </div>";
        } else {
            out += "<a id='U|" + address.AddressId + "' class='btn waves-effect waves-light teal' style='text-transform: capitalize;' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a> </div>";
        }
        out += "</div></div></div></div>";
    }
    document.getElementById("divDeliveryAddress").style.display = "none";
    document.getElementById("divUserAddress").style.display = "block";
    document.getElementById("divDeliveryAddr").innerHTML = out;
}

// To Get Delivery Address  --- End --- // 

//--------------------------------------------------------------------------------

// Confirm Delivery Address --- Start --- //

// To confirm Address Click --- Start --- //
function btnconfirmAddressClick(sender) {
    ConfirmDeliveryAddress(sender.id);
    $(".collapsible-header:eq(1)").trigger('click');
}
function ConfirmDeliveryAddress(deliveryAddressId) {
    var addressType = "0";
    if ((deliveryAddressId).split('|')[0] != "U") {
        addressType = "1";
    }
    $.ajax({
        type: "POST",
        url: "/BuyItem.aspx/ConfirmDeliveryAddress",
        dataType: "json",
        data: JSON.stringify({ DeliveryAddressId: (deliveryAddressId).split('|')[1], AddressType: addressType }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {

            if (resp.d.HomeDelivery == 0)
                document.getElementById('btnPayCOD').style.display = "none";
            else
                document.getElementById('btnPayCOD').style.display = "block";

            document.getElementById('divCartDetails').style.display = "block";
            document.getElementById("divDeliveryAddress").style.display = "none";
            document.getElementById("divUserAddress").style.display = "none";
            document.getElementById("divNewAddress").style.display = "none";
            document.getElementById("divRedeem").style.display = "block";
            document.getElementById("divCoupon").style.display = "block";
            document.getElementById("hdfDeliveryAddressId").value = resp.d.AddressId;
            document.getElementById("spanUserName").innerHTML = resp.d.Name;
            document.getElementById("spanUserAddress1").innerHTML = resp.d.UserAddress;
            document.getElementById("spanUserAddress2").innerHTML = resp.d.LandMark;
            document.getElementById("spanUserCity").innerHTML = resp.d.City;
            document.getElementById("spanUserPincode").innerHTML = resp.d.Pincode;
            document.getElementById("spanUserState").innerHTML = resp.d.StateName;
            document.getElementById("spanUserContact").innerHTML = resp.d.Phone;
            document.getElementById("spanDeliveryCharge").innerHTML = parseFloat(resp.d.DeliveryCharge).toFixed(2);
            document.getElementById("spanDiscount").innerHTML = parseFloat(resp.d.EffectiveDiscount).toFixed(2);
            document.getElementById("spanGrandTotal").innerHTML = parseFloat(parseFloat(resp.d.FinalTotal)  + parseFloat(resp.d.DeliveryCharge)).toFixed(2);
            //document.getElementById("spanGrandTotal1").innerHTML = parseFloat(parseFloat(resp.d.FinalTotal) - parseFloat(resp.d.EffectiveDiscount) + parseFloat(resp.d.DeliveryCharge)).toFixed(2);
            document.getElementById("spanSubTotal").innerHTML = parseFloat(resp.d.FinalTotal).toFixed(2);
            if(parseInt(resp.d.AmountMoreToBuy)==0)
            {
                document.getElementById('trMoreAmountToPay').style.display = "none";
                document.getElementById("spanMoreToBuy").innerHTML ="";
            }
            else
            document.getElementById("spanMoreToBuy").innerHTML = parseFloat(parseFloat(resp.d.AmountMoreToBuy) + parseFloat(1)).toFixed(2);

        },
        error: function (xhr, status, error) {
            var err = eval("(" + xhr.responseText + ")");
            Materialize.toast(err.Message, 4000);
        }
    });
}
// Confirm Delivery Address --- End --- //