﻿$(document).ready(function () {
    if (document.getElementById("hdfDeliveryAddressId").value == '') {
        GetUserAddress('');
        document.getElementById("divDeliveryAddress").style.display = "block";
        document.getElementById("divUserAddress").style.display = "none";
        document.getElementById("divCartDetails").style.display = "none";
        document.getElementById("divRedeem").style.display = "none";
        document.getElementById("divCoupon").style.display = "none";
    } else {
        document.getElementById('divCartDetails').style.display = "block";
        document.getElementById("divRedeem").style.display = "block";
        document.getElementById("divCoupon").style.display = "block";
        document.getElementById("divDeliveryAddress").style.display = "none";
        document.getElementById("divUserAddress").style.display = "none";
        document.getElementById("divNewAddress").style.display = "none";
    }

});

// To Get Delivery Address  --- Start ---  // 
function GetUserAddress(address) {
    var addressType = '';
    var addressId = '';
    if (address != '') {
        addressType = address.split("|")[0];
        addressId = address.split("|")[1];
    }
    $.ajax({
        type: "POST",
        url: "/BuyItem.aspx/GetUserAddress",
        dataType: "json",
        data: JSON.stringify({ AddressId: addressId, AddressType: addressType }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            if (resp.d == null) {
                window.location = "/addnewdeliveryaddress/";
            }
            else {
                bindUserAddress(resp);
            }
        },
        error: function (xhr, status, error) {
            handleErrorMessage(xhr, error);
              //alert(errtext);
        }
    });
}

function bindUserAddress(resp) {

    var addresslen = resp.d[0].AddressLists.length;
    var out = "";
    var i;
    for (i = 0; i < addresslen; i++) {
        var address = resp.d[0].AddressLists[i].AddressItems[0];
        out += "<div class='row'> <div class='col s12 offset-m2 offset-l2 m8 l8' style='padding-top: 5px;border: 2px solid #F3F3F3;'>"
            + "<div class='DeliveryAddressIconRight'>";
        if (address.AddressType == "OrderAddress") {
            out += "<a href='/addnewdeliveryaddress?OrderAddressId=O|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a>";
        } else {
            out += "<a href='/addnewdeliveryaddress?OrderAddressId=U|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a>";
        }
        out += "</div>" + "<span class='black-text'>"
            + "<div>" + address.Name + "</div>"
             + "<div>  " + address.Phone + "</div>"
            + "<div>" + address.UserAddress + "</div>"
            + "<div> " + address.City + "</div>"
            + "<div> " + address.Pincode + "</div>"
            + "<div> " + address.StateName + "</div>"
                + "<div> " + address.LandMark + "</div>"

            + "</span><div class='row'><div class='input-field col s12' style='margin-bottom: 1rem;'>"
        if (address.AddressType == "OrderAddress") {
            out += "<a id='O|" + address.AddressId + "' class='btn col s12 btn-success'  name='action' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a>";

        } else {
            out += "<a id='U|" + address.AddressId + "' class='btn col s12 btn-success'  name='action' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a>";
        }
        out += '</div></div></div></div></div>';
        // out += '</div></div><div style="height: 2px;" class="divider"></div></div></div>';
    }
    document.getElementById("divUserAddr").innerHTML = out;
}

// To Get User Address  --- End --- // 
function btnViewMore_Click() {
    GetDeliveryAddress();
}

// To Get Delivery Address  --- Start --- // 

function GetDeliveryAddress() {
    //var id = sessionStorage.getItem('UserId');
    $.ajax({
        type: "POST",
        url: "/BuyItem.aspx/GetDeliveryAddress",
        dataType: "json",
        data: '',
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            //alert(resp.d[0]);
            bindDeliveryAddress(resp);
        },
        error: function (xhr, status, error) {
            ////errorResponse(err, errtext);
            // alert(errtext);
            handleErrorMessage(xhr, error);
        }
    });
}

function bindDeliveryAddress(resp) {
    //  document.getElementById("EmailAddress").innerHTML = resp.d[0].Email;
    var addresslen = resp.d[0].AddressLists.length;
    var out = "";
    var i;
    for (i = 0; i < addresslen; i++) {
        var address = resp.d[0].AddressLists[i].AddressItems[0];
        out += "<div class='col s12 m6 l4'><div class='product-card'>" +
            "<div class='card-content' style='border: 2px solid #F3F3F3; height: auto; overflow: auto;'>";
        if (address.AddressType == "OrderAddress") {
            out += "<div class='DeliveryAddressIconRight'><a href='/addnewdeliveryaddress?OrderAddressId=O|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a></div>";
        } else {
            out += "<div class='DeliveryAddressIconRight'><a href='/addnewdeliveryaddress?OrderAddressId=U|" + address.AddressId + "' class='btnEdit btn-floating waves-effect waves-light orange'><i class='mdi-editor-mode-edit'></i></a></div>";
        }
        out += "<span class='black-text'>"
            + "<div> " + address.Name + "</div>"
            + "<div> " + address.UserAddress + "</div>"
            + "<div> " + address.LandMark + "</div>"
            + "<div> " + address.City + "</div>"
            + "<div> " + address.Pincode + "</div>"
            + "<div> " + address.StateName + "</div>"
            + "<div> " + address.Phone + "</div>"
            + "</span>" + "<div class='col s12 m12 l12'> ";
        if (address.AddressType == "OrderAddress") {
            out += "<a id='O|" + address.AddressId + "' class='btn waves-effect waves-light teal' style='text-transform: capitalize;' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a> </div>";
        } else {
            out += "<a id='U|" + address.AddressId + "' class='btn waves-effect waves-light teal' style='text-transform: capitalize;' onclick='btnconfirmAddressClick(this)'>Deliver To This Address</a> </div>";
        }
        out += "</div></div></div></div>";
    }
    document.getElementById("divDeliveryAddress").style.display = "none";
    document.getElementById("divUserAddress").style.display = "block";
    document.getElementById("divDeliveryAddr").innerHTML = out;
}

// To Get Delivery Address  --- End --- // 

//--------------------------------------------------------------------------------

// Confirm Delivery Address --- Start --- //

// To confirm Address Click --- Start --- //
function btnconfirmAddressClick(sender) {
    ConfirmDeliveryAddress(sender.id);
    $(".collapsible-header:eq(1)").trigger('click');
}
function ConfirmDeliveryAddress(deliveryAddressId) {
    var addressType = "0";
    if ((deliveryAddressId).split('|')[0] != "U") {
        addressType = "1";
    }
   
    $.ajax({
        type: "POST",
        url: "/BuyItem.aspx/ConfirmDeliveryAddress",
        dataType: "json",
        data: JSON.stringify({ DeliveryAddressId: (deliveryAddressId).split('|')[1], AddressType: addressType }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
       //  try {
            ShowDeliveryTimeSlot(resp.d);
            GetRestrictedCartDetails();
            if (resp.d.HomeDelivery == 0) {
                document.getElementById('btnPayCOD').style.display = "none";
                showSpecialOfferControls(0, resp.d.IsOfferAvailable);
            }
            else {
                document.getElementById('btnPayCOD').style.display = "block";
                showSpecialOfferControls(1, resp.d.IsOfferAvailable);
            }
            document.getElementById('divCartDetails').style.display = "block";
            document.getElementById("divDeliveryAddress").style.display = "none";
            document.getElementById("divUserAddress").style.display = "none";
            document.getElementById("divNewAddress").style.display = "none";
            document.getElementById("divRedeem").style.display = "block";
            document.getElementById("divCoupon").style.display = "block";
            document.getElementById("hdfDeliveryAddressId").value = resp.d.AddressId;
            document.getElementById("spanUserName").innerHTML = resp.d.Name;
            document.getElementById("spanUserAddress1").innerHTML = resp.d.UserAddress;
            document.getElementById("spanUserAddress2").innerHTML = resp.d.LandMark;
            document.getElementById("spanUserCity").innerHTML = resp.d.City;
            document.getElementById("spanUserPincode").innerHTML = resp.d.Pincode;
            document.getElementById("spanUserState").innerHTML = resp.d.StateName;
            document.getElementById("spanUserContact").innerHTML = resp.d.Phone;
            if (resp.d.TotalSellingPrice != 0) {
                document.getElementById("spanDeliveryCharge").innerHTML = parseFloat(resp.d.DeliveryCharge).toFixed(2);
                document.getElementById("spanDiscount").innerHTML = parseFloat(resp.d.TotalDiscount).toFixed(2);
                document.getElementById("spanGrandTotal").innerHTML = parseFloat(resp.d.GrandTotalAmount).toFixed(2);
                document.getElementById("spanSubTotal").innerHTML = parseFloat(resp.d.TotalSellingPrice).toFixed(2);
                document.getElementById("ulPaymentDetails").style.display = "block";
                document.getElementById("ulDeliveryAddress").style.display = "block";

            } else {
                document.getElementById("spanDiscount").innerHTML = "0.00";     
                document.getElementById("spanGrandTotal").innerHTML = "0.00";
                document.getElementById("spanSubTotal").innerHTML = "0.00";
                document.getElementById("spanDeliveryCharge").innerHTML = "0.00";
                document.getElementById("ulPaymentDetails").style.display = "none";
                document.getElementById("ulDeliveryAddress").style.display = "block";
                
            }
            document.getElementById("spanDiscount").innerHTML = parseFloat(resp.d.TotalDiscount).toFixed(2);
            document.getElementById("spanGrandTotal").innerHTML = parseFloat(resp.d.GrandTotalAmount).toFixed(2);
            document.getElementById("spanSubTotal").innerHTML = parseFloat(resp.d.TotalSellingPrice).toFixed(2);

            if (resp.d.IsMinOrderAmountReached.trim() == "1") {
                $('#trMinOrderAmount').css("display", "none");
                $("#spanMinOrderAmount").html("");
                if (parseInt(resp.d.AmountMoreToBuy) > 0) {
                    $("#spanMoreToBuy").html(parseFloat(parseFloat(resp.d.AmountMoreToBuy) + parseFloat(1)).toFixed(2));
                }
                else {
                    $('#trMoreAmountToPay').css("display", "none");
                    $("#spanMoreToBuy").html("");
                }
            }
            else {
                $('#trMinOrderAmount').css("display", "block");
                $("#spanMinOrderAmount").html(parseFloat(resp.d.MinOrderAmount).toFixed(2));
                $('#btnPayCOD').css("display", "none");
                $('#btnPayNow').css("display", "none");
                $('#trMoreAmountToPay').css("display", "none");
                $("#spanMoreToBuy").html("");
            }
            if (resp.d.TotalSellingPrice == "0") {
                $('#divCoupon').css("display", "none");
                $('#divRedeem').css("display", "none");
                $('#ulPaymentDetails').css("display", "none");
                $('#ulDeliveryAddress').css("display", "block");
            }
         //   }
       // catch (e) {
           // handleErrorMessage(e, e);

  //  alert("You messed something up!");
//}
//            GetRestrictedCartDetails();
        },
        error: function (xhr, status, error) {
        handleErrorMessage(xhr, error);
        }
        
    });
}
function showSpecialOfferControls(IsCODAvailable, IsOfferAvailable) {
    if (IsCODAvailable == "1" && IsOfferAvailable != "NA") {
        $('#divReferFriend').css("display", "block");
        $('#pClaimOffer').css("display", "none");
        $('#pAvailabilityText').html("You are one step away to grab this offer. Refer two friends now and Get Free Organic Veggies pack worth 25%* of your order value.");
        $('#modalOfferConfirmation').show();
    }
    else if (IsOfferAvailable == "1") {
        $('#pClaimOffer').css("display", "block");
        $('#divReferFriend').css("display", "none");
        $('#pAvailabilityText').html("Please note that Free Organic Veggies Pack offer is available only for Chennai at the moment. " +
            "The Pincode you have entered doesn't seem to come under Chennai City region. " +
            "If you feel this is an omission from our Pincode List, " +
            "please feel free to request for including the same. " +
            "Our delivery management team will review the request and update you shortly.");
        $('#modalOfferConfirmation').show();
    }
}
function isValidEmailAddress(emailAddress) {
    var pattern = /^[\w\-\.\+]+\@[a-zA-Z0-9\.\-]+\.[a-zA-z0-9]{2,4}$/;
    return pattern.test(emailAddress);
}
//Save user Referral.
function aReferFriendClick() {

    // two Email id's not to be empty
    if ($("#txtReferFriendEmailId").val().trim() == "" || $("#txtReferFriendEmailId1").val().trim() == "") {
        $("#txtReferFriendEmailIdMsg").text("please enter referral email-id");
        return false;
    }
    // two Email id's not to be equal
    if ($("#txtReferFriendEmailId").val().trim() == $("#txtReferFriendEmailId1").val().trim()) {
        $("#txtReferFriendEmailIdMsg").text("The Email id's should not to be the same.");
        return false;
    }
    // two Email id's not to be empty
    if (!isValidEmailAddress($("#txtReferFriendEmailId").val()) && !isValidEmailAddress($("#txtReferFriendEmailId1").val())) {
        $("#txtReferFriendEmailIdMsg").text("please enter valid email-id");
        return false;
    }

    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/SaveUserReferral",
        dataType: "json",
        data: JSON.stringify({ value: $("#txtReferFriendEmailId").val() + "," + $("#txtReferFriendEmailId1").val() }),
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            if (resp.d == 1) {
                $('#divSpecialOfferSuccess').css("display", "block")
                $('#modalOfferConfirmation').hide();

            }
            else if (resp.d = "Email Exists") {
                $('#txtReferFriendEmailIdMsg').html("Email aleardy exists.")
            }
            else {
                $('#txtReferFriendEmailIdMsg').html("Your reference not saved successfully. Please check your referral Email.")
            }
        },
        error: function (xhr, status, error) {
          handleErrorMessage(xhr, error); // alert(errtext);
        }
    });
}
function aSkip() {
    $('#modalOfferConfirmation').hide();
}
function aOfferSkip() {
    var r = confirm("You have chosen to skip this exclusive offer. You will not receive the Free Organic Veggie pack. Are you sure you want to continue? ");
    if (r == true) {
        $.ajax({
            type: "POST",
            url: "/ProductDetails.aspx/SaveSkipOffer",
            dataType: "json",
            data: '',
            contentType: "application/json; charset=utf-8",
            success: function (resp) {
                if (resp.d == 1) {
                    $('#modalOfferConfirmation').hide();
                }
                else {
                    alert("Your request not saved successfully. Please complete to continue your payment.")
                }
            },
            error: function (xhr, status, error){
               handleErrorMessage(xhr, error);// alert(errtext);
            }
        });
    }
}
//User Offer Request by delivery pincode.
function aUserRequestClick() {
    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/SaveUserRequest",
        dataType: "json",
        data: '',
        contentType: "application/json; charset=utf-8",
        success: function (resp) {
            if (resp.d == 1) {
                alert("Your request saved successfully. Continue with your payment to complete the Order.")
                $('#modalOfferConfirmation').hide();
            }
            else {
                alert("Your request not saved successfully. Please complete to continue your payment.")
            }
        },
        error: function (xhr, status, error) {
           handleErrorMessage(xhr, error);// alert(errtext);
        }
    });
}

// Confirm Delivery Address --- End --- //

function btnChooseAddress_Click() {
    document.getElementById("divCartDetails").style.display = "none";
    document.getElementById("divRedeem").style.display = "none";
    document.getElementById("divCoupon").style.display = "none";
    if (document.getElementById("divDeliveryAddr").innerHTML.trim() == "")
    { GetDeliveryAddress(); }
    else
    { document.getElementById("divUserAddress").style.display = "block"; }
    }


    function ShowDeliveryTimeSlot(slotList) {
        $("#tbSlot").html('');
        $('#ulDeliverySlotTime').css("display", "none");
        var s;
        var t;
        var DateCount=0;
        var DateSlotTime = "";

        $.each(slotList.SlotTime, function (index, value) {
            if (DateCount < 5) {

                for (var c in value.Timings) {
                    if (value.Timings.hasOwnProperty(c)) {
                        var arr = c.split('/');
                        var Status = arr[arr.length - 1];
                        var DataSlotRegionId = arr[arr.length - 2];
                        t += Status;
                    }
                }

                //if (~t.indexOf("True")) {
                    s += '<tr>';
                    DateCount += 1;
                    //$("#tbSlot").append('<tr>');

                    //$("#tbSlot").append('<td>' + value.Date +'</td>');
                    s += '<td style="background-color: #FFC400;" onclick=\'event.stopPropagation();return false;\'>' + value.Date + '</td>';
                    $('#ulDeliverySlotTime').css("display", "block");

                    for (var c in value.Timings) {
                        if (value.Timings.hasOwnProperty(c)) {
                            var arr = c.split('/');
                            var Status = arr[arr.length - 1];
                            var DataSlotRegionId = arr[arr.length - 2];
                            if (Status == "True") {
                                //      $("#tbSlot").append('<td id=\''+ c +'\'>'  + value.Timings[c] +'</td>');
                                s += '<td id=\'' + DataSlotRegionId + '\'>' + value.Timings[c] + '</td>';
                                if (DateSlotTime.length == 0) {
                                    DateSlotTime = value.Date + "  -  " + value.Timings[c];
                                    $("#lblDeliverySlotTime").text(DateSlotTime);
                                    $('#hdfDataSlotTime').val(DataSlotRegionId);
                                }
                            } else {
                                s += '<td style="background-color: #E0E0E0;" onclick=\'event.stopPropagation();return false;\' id=\'' + DataSlotRegionId + '\'>' + value.Timings[c] + '</td>';
                            }
                        }
                    }
                    s += '</tr>';
                //}
            }

            //            if (index == 0) {
            //                var DateSlotTime = value.Date + "  -  " + value.Timings[c];
            //                $("#lblDeliverySlotTime").text(DateSlotTime);
            //                $('#hdfDataSlotTime').val(c);
            //            }

            //$("#tbSlot").append('</tr>'); 
            //            s += '</tr>';

            //alert( $("#tbSlot").html());
            //    alert (s);
        });
        $("#tbSlot").append(s);

    }




    $(document).ready(function () {

        $("#tbSlot").on("click", "tr", function (e) {
            //$('#tbSlot tr').click(function (e) {
            var cell = $(e.target).get(0);
            var DateTimeSlotId = cell.id;
            $('#hdfDataSlotTime').val(DateTimeSlotId);
            var tr = $(this);
            $('#lblDeliverySlotTime').empty();
            $('td', tr).each(function (i, td) {
                if (i == 0) {
                    $('#lblDeliverySlotTime').html($('#lblDeliverySlotTime').html() + $(td).text());
                }
                if (td == cell) {
                    if (i == 0)
                        return false;
                    $('#lblDeliverySlotTime').html($('#lblDeliverySlotTime').html() + "  -  " + $(td).text());
                }
                $('#div1').css("display", "none");
                $("#divdelivery1").removeClass("active");
                $("#divdelivery2").removeClass("active");
                $("#spnarrow").removeClass("mdi-navigation-arrow-drop-up right").addClass("mdi-navigation-arrow-drop-down right");
            });
        });
    });




