﻿
/// **** login page Scripts Start *** ///

// Check Login or Register radio Button

function showMobileControl(state) {
    if (state == 'true') {
        $("#divMobileNumber").css('display', 'block');
        $("#divName").css('display', 'block');
        $("#rbtExistUser").removeAttr("checked");
        $('#rbtNewUser').prop('checked', true);
        $("#divForgetPassword").css('display', 'none');
        $("#lblMessage").css('display', 'none');
    }
    else {
        $("#divMobileNumber").css('display', 'none');
        $("#lblMessage").css('display', 'none');
        $("#divName").css('display', 'none');
        $("#rbtNewUser").removeAttr("checked");
        $('#rbtExistUser').prop('checked', true);
        $("#txtMobileNumber").val("");
        $("#txtName").val("");
        $("#txtEmail").focus();
        $("#divForgetPassword").css('display', 'block');
    }

}

//Validate login and Register page fields

function validation(id) {
    var email = document.getElementById("txtEmail").value;
    var password = document.getElementById("txtPassword").value;
    var mobilenumber = document.getElementById("txtMobileNumber").value;
    var name = document.getElementById("txtName").value;

    var mobilepattern = /^\d{10}$/;
    var emailpattern = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (document.getElementById("rbtNewUser").checked == true) {
        if (name == "") {
            chktoastInitiated('Enter Your Name');
            return false;
        } else if (email == "") {
            chktoastInitiated('Enter Your EmailId');
            return false;
        } else if (!emailpattern.test(email)) {
            chktoastInitiated('Invalid EmailId');
            return false;
        } else if (password == "") {
            chktoastInitiated('Enter Your Password');
            return false;
        } else if (mobilenumber == "") {
            chktoastInitiated('Enter Your Mobile Number');
            return false;
        } else if (!mobilepattern.test(mobilenumber)) {
            chktoastInitiated('Mobile Number should be 10 digits');
            return false;
        }
    }
    else {
        if (email == "") {
            chktoastInitiated('Enter Your EmailId');
            return false;
        } else if (!emailpattern.test(email)) {
            chktoastInitiated('Invalid EmailId');
            return false;
        }
        else if (password == "") {
            chktoastInitiated('Enter Your Password');
            return false;
        }
    }
}

/// **** login page Scripts End *** ///