﻿$(document).ready(function () {
    var url = window.location.href;
    // Remove slash if URL ends with "/"
    if (url.charAt(url.length - 1) == '/')
        url = url.substr(0, url.length - 1);
    var productRefid = url.split('/p/')[1].replace('#', '');
    GetProductImagesAndVolumePrice1(productRefid);
});

// Get Product Images And VolumePrice //
function GetProductImagesAndVolumePrice1(productRefid) {
    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/GetProductImagesAndVolumePrice1",
        dataType: "json",
        data: JSON.stringify({ ProductRefId: productRefid }),
        contentType: "application/json; charset=utf-8",
        success: function (response) {
            bindProductVolumePrice(response);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
        }
    });

    function bindProductVolumePrice(response) {

        bindProductImages(response);
        //        var obj = response;
        var obj = response.d[0]["Productlist"][0]["Product"];
        var volumelst = "";
        var len = obj.length;
        for (var i = 0; i < len; i++) {
            volumelst += '<option value="' + response.d[0]["Productlist"][0]["Product"][i]["SellerProductStockId"] + "|" + response.d[0]["Productlist"][0]["Product"][i]["RestrictedDelivery"] + "|" +
            response.d[0]["Productlist"][0]["Product"][i]["IsOutOfStock"] + "|" +
            response.d[0]["Productlist"][0]["Product"][i]["DiscountPercent"] + "|" + 
            response.d[0]["Productlist"][0]["Product"][i]["IsPreOrder"] + "|" + 
            response.d[0]["Productlist"][0]["Product"][i]["IsAddedToPreOrder"] + '" >' +
            response.d[0]["Productlist"][0]["Product"][i]["PriceAndQuantity"] + '</option>';
        }
        document.getElementById("ddlActualVolumePrice").innerHTML = volumelst;
        //        $("#ddlActualVolumePrice option").each(function () {

        //        });

        //if ($("#spanDiscontinued").css('display') == 'none')
        if (response.d[0]["Productlist"][0]["Product"][0]["IsDiscontinued"] == "True") {
            document.getElementById("spnMinus").style.display = "none";
            document.getElementById("spanDiscontinued").style.display = "block";
            document.getElementById("spanOutOfStock").style.display = "none";
            //document.getElementById("spanPreOrder").style.display = "none";
            document.getElementById("spnPlus").style.display = "none";
            $(".spanQuantityInCart").css("display", "none");
        }
        else {
            applyOutofStock();
        }

    }
    function applyOutofStock() {
        $("#divImgOffer").css("display", "none");
        $("#ddlActualVolumePrice > option").each(function () {
            if (this.value.split("|")[3] != "0") {
                $("#ddlActualVolumePrice").val(this.value);
            }

            if (this.value.split("|")[2] != "0") {
                $("#ddlActualVolumePrice").val(this.value);
            }

        });
        var spStockId = $("#ddlActualVolumePrice option:selected").val().split("|")[0];
        var outofStock = $("#ddlActualVolumePrice option:selected").val().split("|")[2];  //
        var preOrder = $("#ddlActualVolumePrice option:selected").val().split("|")[4]; //
        var addedtopreorder = $("#ddlActualVolumePrice option:selected").val().split("|")[5]; //
      //pre order
        if(preOrder == "1")
        {
   //   $('.btnReserveNow'+ SPStockid).attr('style', 'display: none');
             $("#btnReserved" + spStockId).attr("CLASS", "btnReserved" + spStockId + "  white waves-effect waves-light grey lighten-2");
             $("#btnReserveNow" + spStockId).attr("CLASS", "btnReserveNow" + spStockId + "  white waves-effect waves-light grey lighten-2");
             $('.tooltipped').tooltip({ delay: 50 });
             document.getElementById("btnReserved").style.display = "none";
             document.getElementById("btnReserveNow").style.display = "grid";
             $('#btnReserveNow').attr('style', 'background-color: #019779!important');
             $('#btnReserveNow').attr('style', 'padding: 5px 13px 5px 13px');
           if(addedtopreorder == "1")
           {
            document.getElementById("btnReserveNow").style.display = "none";
            document.getElementById("btnReserved").style.display = "grid";
            $('#btnReserved').attr('style', 'background-color: #019779!important');
            $('#btnReserved').attr('style', 'padding: 5px 13px 5px 13px');
           }else{
             document.getElementById("btnReserved").style.display = "none";
             document.getElementById("btnReserveNow").style.display = "grid";
             $('#btnReserveNow').attr('style', 'background-color: #019779!important');
             $('#btnReserveNow').attr('style', 'padding: 5px 13px 5px 13px');
           }
            document.getElementById("spnMinus").style.display = "none";
            document.getElementById("spnPlus").style.display = "none";
            document.getElementById("spanOutOfStock").style.display = "none";
            $(".spanQuantityInCart").css("display", "none");
            $("#ddlActualVolumePrice").attr('disabled',false);
            //document.getElementById("spanPreOrder").style.display = "";
            //document.getElementById("spanAddToPreOrder").style.display = "";
        } else{
            // Out of Stock
            if (outofStock == "1") {
                 document.getElementById("spnMinus").style.display = "none";
                 document.getElementById("spnPlus").style.display = "none";
                 document.getElementById("spanOutOfStock").style.display = "";
                 document.getElementById("btnReserveNow").style.display = "none";
                 document.getElementById("btnReserved").style.display = "none";
                 $("#ddlActualVolumePrice").attr('disabled','disabled');
                 $(".spanQuantityInCart").css("display", "none");

                 //document.getElementById("spanPreOrder").style.display = "none";
                 //document.getElementById("spanAddToPreOrder").style.display = "none";

            } else {
                document.getElementById("spnMinus").style.display = "";
                document.getElementById("spnPlus").style.display = "";
                document.getElementById("spanOutOfStock").style.display = "none";
                document.getElementById("btnReserveNow").style.display = "none";
                document.getElementById("btnReserved").style.display = "none";
                $(".spanQuantityInCart").css("display", "initial");
                $("#ddlActualVolumePrice").attr('disabled',false);


                //document.getElementById("spanPreOrder").style.display = "none";
                //document.getElementById("spanAddToPreOrder").style.display = "none";
            }
        }
        // Offer
        var discountPercentage = $("#ddlActualVolumePrice option:selected").val().split("|")[3];
        if (discountPercentage != null && discountPercentage > 0) {
            $("#divImgOffer").css("display", "block");
            $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
        } else {
            $("#divImgOffer").css("display", "none");
        }
        $("#spanQuantityInCart").attr("ID", "spanQtyInCart" + $("#ddlActualVolumePrice option:selected").val().split("|")[0]);

        GetCartCount($("#ddlActualVolumePrice option:selected").val().split("|")[0]);

    }

    function bindProductImages(response) {

        var Product = response.d[0]["Productlist"][0]["Product"][0];

        //*** Primary Image of product.
        var imgUrl = 'https://cdn' + Product["Cdn"] + '.Myrightbuy.com/images/';
        //        if ((Product["ImageName"]).indexOf("no-images") > -1) {
        //            document.getElementById("imgProduct").src = imgUrl + "/no-images/no_image_0.jpg";
        //        }
        //        else {
        document.getElementById("imgProduct").src = imgUrl + Product["ImageName"].replace("Thumb", "mob").replace("&", "and");
        //        }
        document.getElementById("ProductHeading").innerHTML = Product["ProductName"];
        document.getElementById("imgProduct").alt = Product["ProductName"];

        //*** Thumb Image of product.
        if (response.d[0]["ProductImagelist"].length > 0) {
            var ProductImagelist = response.d[0]["ProductImagelist"][0]["ProductImage"];
            var len = ProductImagelist.length;
            if (len > 0) {
                var imageList = "";
                for (var i = 0; i < len; i++) {
                    var imgUrl = 'https://cdn' + ProductImagelist[i]["Cdn"] + '.Myrightbuy.com/images/' + ProductImagelist[i]["ImageURL"].replace("Thumb", "mob").replace("&", "and");
                    imageList += "<div class='divThumbImage'><img src='" + imgUrl + "' alt='" + Product["ProductName"] + "'></div>";
                }
                document.getElementById("ProductThumbImage").innerHTML =  imageList;
               
            }
            else {
                document.getElementById("ProductThumbImage").innerHTML = "<div class='divThumbImage'><img src='" + imgUrl + Product["ImageName"].replace("Thumb", "mob").replace("&", "and") + "' alt='" + Product["ProductName"] + "'></div>";
            }
            $('#ProductThumbImage').slick({
                dots: false,
                infinite: true,
                speed: 300,
                slidesToShow: 3,
                slidesToScroll: 1,
                arrows: true,
                nextArrow: '<div class="slick-next slick-arrow productThumbImage-slick-next smallImgNext"><i class="mdi-hardware-keyboard-arrow-right"></i></div>',
                prevArrow: '<div class="slick-prev slick-arrow productThumbImage-slick-prev smallImgPrev"><i class="mdi-hardware-keyboard-arrow-left"></i></div>',
//                nextArrow: '<i class="mdi-hardware-keyboard-arrow-right"></i>',
//                prevArrow: '<i class="mdi-hardware-keyboard-arrow-left"></i>', 
                autoplay: false,
                responsive: [
          {
              breakpoint: 1024,
              settings: {
                  slidesToShow: 3,
                  slidesToScroll: 1,
                  infinite: true,
                  dots: false
              }
          },
          {
              breakpoint: 600,
              settings: {
                  slidesToShow: 3,
                  slidesToScroll: 1,
                  infinite: true,
                  dots: false
              }
          },
                //          {
                //              breakpoint: 480,
                //              settings: {
                //                  slidesToShow: 3,
                //                  slidesToScroll: 1,
                //                  infinite: true,
                //                  dots: false
                //              }
                //          },
          {
          breakpoint: 360,
          settings: {
              slidesToShow: 3,
              slidesToScroll: 1,
              infinite: true,
              dots: false
          }
      }
                // You can unslick at a given breakpoint now by adding:
                // settings: "unslick"
                // instead of a settings object
        ]
            });$('.selector').slick({
  nextArrow: '<i class="fa fa-arrow-right"></i>',
  prevArrow: '<i class="fa fa-arrow-left"></i>',
// add the rest of your options here
});
        }


    }
}

//Get Product Description
function productDescriptionClick() {
    var url = window.location.href;
    // Remove slash if URL ends with "/"
    if (url.charAt(url.length - 1) == '/')
        url = url.substr(0, url.length - 1);
    var productRefid = url.split('/p/')[1].replace('#', '');
    if (document.getElementById("dvProductDescription").style.display == "block") {
        document.getElementById("Paymentup").style.display = "none";
        document.getElementById("Paymentdown").style.display = "block";
    }
    else {
        document.getElementById("Paymentdown").style.display = "none";
        document.getElementById("Paymentup").style.display = "block";
    }

    if (document.getElementById("productDescription").innerHTML.trim() == "") {
        $.ajax({
            type: "POST",
            url: "/ProductDetails.aspx/GetProductDescription",
            dataType: "json",
            data: JSON.stringify({ ProductRefId: productRefid }),
            contentType: "application/json; charset=utf-8",
            success: function (response) {
                if (response.d != "" && response.d[0].ProductDescription != '') {
                    document.getElementById("productDescription").innerHTML = response.d[0].ProductDescription;
                } else {
                    document.getElementById("productDescription").innerHTML = "Description not found for this product";
                    document.getElementById("productDescription").style.color = "red";
                    document.getElementById("productDescription").style.margin = "15px 0 15px 15px";
                }
            },
            error: function (xhr, status, error) {
                var err = eval("(" + xhr.responseText + ")");
            }
        });
    }
}

function volumeOnChange(event,sender) {
    event= event|| window.event;
    var div = event.target.parentNode.parentNode.parentNode;
    //if ($("#spanDiscontinued").css('display') == 'none')
    if ($("#spanDiscontinued").css('display') == 'block') {
        document.getElementById("spnMinus").style.display = "none";
        document.getElementById("spanDiscontinued").style.display = "block";
        document.getElementById("spanOutOfStock").style.display = "none";
        document.getElementById("spnPlus").style.display = "none";
        $(".spanQuantityInCart").css("display", "none");
    }
    else {
     // Check reserve Order
        if ((sender.value).split("|")[4] == 1) {
             $("#btnReserved", div).attr("CLASS", "btnReserved" + (sender.value).split("|")[0] + "  white waves-effect waves-light grey lighten-2");
             $("#btnReserveNow", div).attr("CLASS", "btnReserveNow" + (sender.value).split("|")[0]  + "  white waves-effect waves-light grey lighten-2");
             $('.tooltipped').tooltip({ delay: 50 });
//                    document.getElementById("btnReserveNow").style.display = "inline-block";
//                    document.getElementById("btnReserved").style.display = "none";
//                    $('#btnReserveNow', div).attr('style', 'background-color: #019779!important');
//                    $('#btnReserveNow', div).attr('style', 'padding: 5px 13px 5px 13px');
        // Check already reserved or not
           if ((sender.value).split("|")[5] == 1) {
                      document.getElementById("btnReserveNow").style.display = "none";
                      document.getElementById("btnReserved").style.display = "inline-block";
                      $('#btnReserved', div).attr('style', 'background-color: #019779!important');
                      $('#btnReserved', div).attr('style', 'padding: 5px 13px 5px 13px');
                 } else{
                   document.getElementById("btnReserveNow").style.display = "none";
                      document.getElementById("btnReserved").style.display = "none";
                            $('#spnPlus', div).attr('style', 'display: none');
                    $('#spnMinus', div).attr('style', 'display: none');
                    $('.spinner', div).attr('style', 'display: block');
                    $('.spinner', div).attr('style', 'float: right !important; margin-right: 88px !important');
                    //check 2nd time pre order for IsAddedToPreOrder
                    GetIsAddToPreOrderStatus((sender.value).split("|")[0],div);

//                    document.getElementById("btnReserveNow").style.display = "inline-block";
//                    document.getElementById("btnReserved").style.display = "none";
//                    $('#btnReserveNow', div).attr('style', 'background-color: #019779!important');
//                    $('#btnReserveNow', div).attr('style', 'padding: 5px 13px 5px 13px');
                  }
        document.getElementById("spanOutOfStock").style.display = "none";
        document.getElementById("spnMinus").style.display = "none";
        document.getElementById("spnPlus").style.display = "none";
         
        if ($("#ddlActualVolumePrice option:selected").val().split("|")[3] != "0") $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
        $(".spanQuantityInCart").css("display", "none");
            }
          else{
                // Out ofStock 
                if ((sender.value).split("|")[2] == 1) {
                    document.getElementById("spnMinus").style.display = "none";
                    document.getElementById("spnPlus").style.display = "none";
                    document.getElementById("spanOutOfStock").style.display = "block";
                    document.getElementById("btnReserveNow").style.display = "none";
                    document.getElementById("btnReserved").style.display = "none";
                    if ($("#ddlActualVolumePrice option:selected").val().split("|")[3] != "0") $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
                    $(".spanQuantityInCart").css("display", "none");

                } else {
                    document.getElementById("spanOutOfStock").style.display = "none";
                    document.getElementById("spnMinus").style.display = "inline-block";
                    document.getElementById("spnPlus").style.display = "inline-block";
                    document.getElementById("btnReserveNow").style.display = "none";
                    document.getElementById("btnReserved").style.display = "none";
                    if ($("#ddlActualVolumePrice option:selected").val().split("|")[3] != "0") $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
                    $(".spanQuantityInCart").css("display", "initial");
                }
         }
        // Offer
        var discountPercentage = sender.value.split("|")[3];
        if (discountPercentage != null && discountPercentage > 0) {
            $("#divImgOffer").css("display", "block");
            $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
        } else {
            $("#divImgOffer").css("display", "none");
        }
        var div = event.target.parentNode.parentNode.parentNode;
        $($(div).find('.spanQuantityInCart')).attr("ID", "spanQtyInCart" + event.target.value.split("|")[0]);
        GetCartCount(event.target.value.split("|")[0]);
    }


}