﻿$(document).ready(function () {
    var url = window.location.href;
    // Remove slash if URL ends with "/"
    if (url.charAt(url.length - 1) == '/')
        url = url.substr(0, url.length - 1);
    var productid = url.split('/p/')[1].replace('#', '');
    GetProductImagesAndVolumePrice1(productid);
});

// Get Product Images And VolumePrice //
function GetProductImagesAndVolumePrice1(productId) {
    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/GetProductImagesAndVolumePrice1",
        dataType: "json",
        data: JSON.stringify({ ProductId: productId }),
        contentType: "application/json; charset=utf-8",
        success: function (response) {
            bindProductVolumePrice(response);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
        }
    });

    function bindProductVolumePrice(response) {
        bindProductImages(response);
        var obj = response;
        var volumelst = "";
        var len = obj.d.length;
        for (var i = 0; i < len; i++) {
            volumelst += '<option value="' + obj.d[i].SellerProductStockId + "|" + obj.d[i].RestrictedDelivery + "|" + obj.d[i].CurrentQuantity + "|" + obj.d[i].DiscountPercent + '" >' + obj.d[i].PriceAndQuantity + '</option>';
        }
        document.getElementById("ddlActualVolumePrice").innerHTML = volumelst;
//        $("#ddlActualVolumePrice option").each(function () {

//        });
        applyOutofStock();
    }
    function applyOutofStock() {
        $("#divImgOffer").css("display", "none");
        $("#ddlActualVolumePrice > option").each(function () {
            if (this.value.split("|")[3] != "0") {
                $("#ddlActualVolumePrice").val(this.value);
            }

            if (this.value.split("|")[2] != "0") {
                $("#ddlActualVolumePrice").val(this.value);
            }

        });
        var outofStock = $("#ddlActualVolumePrice option:selected").val().split("|")[2] != "0" ? "1" : "0";  //

        // Out of Stock
        if (outofStock == "0") {
            document.getElementById("spnMinus").style.display = "none";
            document.getElementById("spanOutOfStock").style.display = "grid";
            document.getElementById("spnPlus").style.display = "none";
        } else {
            document.getElementById("spnMinus").style.display = "grid";
            document.getElementById("spanOutOfStock").style.display = "none";
            document.getElementById("spnPlus").style.display = "grid";
        }

        // Offer
        var discountPercentage = $("#ddlActualVolumePrice option:selected").val().split("|")[3];
        if (discountPercentage != null && discountPercentage > 0) {
            $("#divImgOffer").css("display", "block");
            $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
        } else {
            $("#divImgOffer").css("display", "none");
        }
        $("#spanQuantityInCart").attr("ID", "spanQtyInCart" + $("#ddlActualVolumePrice option:selected").val().split("|")[0]);

        GetCartCount($("#ddlActualVolumePrice option:selected").val().split("|")[0])

    }

    function bindProductImages(response) {
        var obj = response;
        var imgUrl = 'http://cdn' + obj.d[0].Cdn + '.Myrightbuy.com/images/';
        if ((obj.d[0].ImageName).indexOf("no-images") > -1) {
            document.getElementById("imgProduct").src = imgUrl + "/no-images/no_image_0.jpg";
        }
        else {
            document.getElementById("imgProduct").src = imgUrl + obj.d[0].ImageName.replace("Thumb", "mob").replace("&", "and");
        }
        document.getElementById("ProductHeading").innerHTML = obj.d[0].ProductName;
        document.getElementById("imgProduct").alt = obj.d[0].ProductName;
    }
}


//Get Product Description
function productDescriptionClick() {
    var url = window.location.href;
    // Remove slash if URL ends with "/"
    if (url.charAt(url.length - 1) == '/')
        url = url.substr(0, url.length - 1);
    var productId = url.split('/p/')[1].replace('#', '');
    if (document.getElementById("dvProductDescription").style.display == "block") {
        document.getElementById("Paymentup").style.display = "none";
        document.getElementById("Paymentdown").style.display = "block";
    }
    else {
        document.getElementById("Paymentdown").style.display = "none";
        document.getElementById("Paymentup").style.display = "block";
    }

    if (document.getElementById("productDescription").innerHTML.trim() == "") {
        $.ajax({
            type: "POST",
            url: "/ProductDetails.aspx/GetProductDescription",
            dataType: "json",
            data: JSON.stringify({ ProductId: productId }),
            contentType: "application/json; charset=utf-8",
            success: function (response) {
                if (response.d != "" && response.d[0].ProductDescription != '') {
                    document.getElementById("productDescription").innerHTML = response.d[0].ProductDescription;
                } else {
                    document.getElementById("productDescription").innerHTML = "Description not found for this product";
                    document.getElementById("productDescription").style.color = "red";
                    document.getElementById("productDescription").style.margin = "15px 0 15px 15px";
                }
            },
            error: function (xhr, status, error) {
                var err = eval("(" + xhr.responseText + ")");
            }
        });
    }
}

function volumeOnChange(sender) {

    // Out ofStock 
    if ((sender.value).split("|")[2] == 0) {
        document.getElementById("spnMinus").style.display = "none";
        document.getElementById("spnPlus").style.display = "none";
        document.getElementById("spanOutOfStock").style.display = "block";
        if ($("#ddlActualVolumePrice option:selected").val().split("|")[3] != "0") $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");


    } else {
        document.getElementById("spanOutOfStock").style.display = "none";
        document.getElementById("spnMinus").style.display = "inline-block";
        document.getElementById("spnPlus").style.display = "inline-block";
        if ($("#ddlActualVolumePrice option:selected").val().split("|")[3] != "0") $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
    }

    // Offer
    var discountPercentage = sender.value.split("|")[3];
    if (discountPercentage != null && discountPercentage > 0) {
        $("#divImgOffer").css("display", "block");
        $("#spanDiscountPercent1").text($("#ddlActualVolumePrice option:selected").val().split("|")[3] + "% Off");
    } else {
        $("#divImgOffer").css("display", "none");
    }
    var div = event.target.parentNode.parentNode.parentNode;
    $($(div).find('.spanQuantityInCart')).attr("ID", "spanQtyInCart" + event.target.value.split("|")[0]);
    GetCartCount(event.target.value.split("|")[0]);
}