﻿$(document).ready(function () {
    var productid = window.location.href.split('/p/')[1].replace('#', '');
    //    GetProductImages(productid);
    //    GetProductVolumePrice(productid);
       GetProductImagesAndVolumePrice(productid);
    
});

// Get Product Images And VolumePrice //
function GetProductImagesAndVolumePrice(productId) {
    var url = "/ProductDetails.aspx/GetProductImagesAndVolumePrice";
    $.ajax({
        type: "POST",
        url: "/ProductDetails.aspx/GetProductImagesAndVolumePrice",
        dataType: "json",
        data: JSON.stringify({ ProductId: productId }),
        contentType: "application/json; charset=utf-8",
        success: function (response) {
            bindProductVolumePrice(response);
        },
        error: function (err, errtext, fn) {
            //errorResponse(err, errtext);
        }
    });

    function bindProductVolumePrice(response) {
        bindProductImages(response);
        var obj = response;
        var volumelst = "";
        var len = obj.d.length;
        for (var i = 0; i < len; i++) {
            volumelst += '<option value="' + obj.d[i].SellerProductStockId + "|" + obj.d[i].RestrictedDelivery + '" >' + obj.d[i].PriceAndQuantity + '</option>';
        }
        document.getElementById("ddlActualVolumePrice").innerHTML = volumelst;
    }

    function bindProductImages(response) {
        var obj = response;
        var output = "";

        var imgUrl = 'http://cdn3.Myrightbuy.com/images/';
        var str = obj.d[0].ProductMultipleImages;
        var res = str.replace("Thumb", "mob");
        if ((obj.d[0].ProductMultipleImages).indexOf("no-images") > -1) {
            document.getElementById("imgProduct").src = imgUrl + "/no-images/no_image_0.jpg";
        }
        else {
            document.getElementById("imgProduct").src = imgUrl + res;
        }

        document.getElementById("ProductHeading").innerHTML = obj.d[0].ProductName;
        document.getElementById("imgProduct").alt = obj.d[0].ProductName;
    }
}


//Get Product Description
function productDescriptionClick() {
    var productId = window.location.href.split('/p/')[1].replace('#', '');
    if (document.getElementById("dvProductDescription").style.display == "block") {
        document.getElementById("Paymentup").style.display = "none";
        document.getElementById("Paymentdown").style.display = "block";
    }
    else {
        document.getElementById("Paymentdown").style.display = "none";
        document.getElementById("Paymentup").style.display = "block";
    }

    if (document.getElementById("productDescription").innerHTML.trim() == "") {
        $.ajax({
            type: "POST",
            url: "/ProductDetails.aspx/GetProductDescription",
            dataType: "json",
            data: JSON.stringify({ ProductId: productId }),
            contentType: "application/json; charset=utf-8",
            success: function (response) {
                if (response.d != "" && response.d[0].ProductDescription != '') {
                    document.getElementById("productDescription").innerHTML = response.d[0].ProductDescription;
                } else {
                    document.getElementById("productDescription").innerHTML = "Description not found for this product";
                    document.getElementById("productDescription").style.color = "red";
                    document.getElementById("productDescription").style.margin = "15px 0 15px 15px";
                }
            },
            error: function (xhr, status, error) {
                var err = eval("(" + xhr.responseText + ")");
                // Materialize.toast(err.Message, 4000);
            }
        });
    }
}

// Get Product Images //
//function GetProductImages(productId) {
//    var url = "/ProductDetails.aspx/GetProductImages";
//    $.ajax({
//        type: "POST",
//        url: "/ProductDetails.aspx/GetProductImages",
//        dataType: "json",
//        data: JSON.stringify({ ProductId: productId }),
//        contentType: "application/json; charset=utf-8",
//        success: function (response) {
//            bindProductImages(response);
//        },
//        error: function (err, errtext, fn) {
//            //errorResponse(err, errtext);
//        }
//    });

//    function bindProductImages(resp) {
//        var obj = resp;
//        var output = "";
//        for (var i = 0; i < obj.d.length; i++) {
//            var imgUrl = 'http://cdn3.Myrightbuy.com/images/';
//            var str = obj.d[i].ProductMultipleImages;
//            var res = str.replace("Thumb", "mob");
//            if ((obj.d[i].ProductMultipleImages).indexOf("no-images") > -1) {
//                document.getElementById("imgProduct").src = imgUrl + "/no-images/no_image_0.jpg";
//            }
//            else {
//                document.getElementById("imgProduct").src = imgUrl + res;
//            }

//            document.getElementById("ProductHeading").innerHTML = obj.d[i].ProductName;
//            document.getElementById("imgProduct").alt = obj.d[i].ProductName;
//        }
//    }
//}




// Get Product Volume and Price //
//function GetProductVolumePrice(productId) {
//    $.ajax({
//        type: "POST",
//        url: "/ProductDetails.aspx/GetProductVolumePrice",
//        dataType: "json",
//        data: JSON.stringify({ ProductId: productId }),
//        contentType: "application/json; charset=utf-8",
//        success: function (response) {
//            bindProductVolumePrice(response);
//        },
//        error: function (xhr, status, error) {
//            var err = eval("(" + xhr.responseText + ")");
//          //  Materialize.toast(err.Message, 4000);
//        }
//    });

//    function bindProductVolumePrice(response) {
//        var obj = resp;
//        var volumelst = "";
//        var len = obj.d.length;
//        for (var i = 0; i < len; i++) {
//            volumelst += '<option value="' + obj.d[i].SellerProductStockId + "|" + obj.d[i].RestrictedDelivery + '" >' + obj.d[i].PriceAndQuantity + '</option>';
//        }
//        document.getElementById("ddlActualVolumePrice").innerHTML = volumelst;
////        var str = obj.d[0].Price + "-" + obj.d[0].SellerProductStockId;
////        var strSplit = str.split("-");
//    }
//}




//function qtyminusClick(sender) {
//    // Stop acting like a button
//    // Get the field name
//    var fieldName = document.getElementById("txtQty").id;
//    // Get its current value
//    var currentVal = parseInt(document.getElementById(fieldName).value);
//    if (!isNaN(currentVal) && currentVal > 1) {
//        // Decrement one
//        document.getElementById(fieldName).value = currentVal - 1;
//    } else {
//        // Otherwise put a 1 there
//        document.getElementById(fieldName).value = 1;
//    }
//    var str = document.getElementById("lstVolume").value;
//    var strSplit = str.split("-");
//    var price = strSplit[0];
//    var totalPrice = document.getElementById("txtQty").value * price;
//    document.getElementById("spanPrice").innerHTML = totalPrice;
//}
//// This button will decrement the value till 0
//function qtyplusClick(sender) {
//    // Stop acting like a button
//    // Get the field name
//    var fieldName = document.getElementById("txtQty").id;
//    // Get its current value
//    var currentVal = parseInt(document.getElementById(fieldName).value);
//    // If it isn't undefined or its greater than 0
//    // If is not undefined

//    if (!isNaN(currentVal)) {
//        if (currentVal < 20) {
//            // Increment
//            document.getElementById(fieldName).value = currentVal + 1;
//        } else if (currentVal == 20) {
//            alert("You have reached your limitation to buy this product.");
//        }
//    } else {
//        // Otherwise put a 1 there
//        document.getElementById("txtQty").value = 1;
//    }
//    var str = document.getElementById("lstVolume").value;
//    var strSplit = str.split("-");
//    var price = strSplit[0];
//    var totalPrice = document.getElementById("txtQty").value * price;
//    document.getElementById("spanPrice").innerHTML = totalPrice;
//}

